(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    193072,       4718]
NotebookOptionsPosition[    191506,       4673]
NotebookOutlinePosition[    191862,       4689]
CellTagsIndexPosition[    191819,       4686]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Tendency", "[", 
   RowBox[{"xv_", ",", "switch_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"num", ",", "dim"}], "}"}], "=", 
        RowBox[{"Dimensions", "[", "xv", "]"}]}], ",", 
       RowBox[{"qmax", "=", "21"}], ",", 
       RowBox[{"delq", "=", "0.1"}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "with", " ", "these", " ", "two", " ", "parameters", " ", "there", 
           " ", "are", " ", "20", " ", "q", " ", "values", " ", "at", " ", 
           "intervals", " ", "of", " ", "delq"}], "=", 
          RowBox[{
           RowBox[{
           "0.2", "  ", "you", " ", "might", " ", "consider", " ", "changing",
             " ", "this", " ", "to", " ", "delq"}], "=", "0.1"}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"qeps", "=", "0.0001"}], ",", 
       RowBox[{"Qtab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"q", ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "qeps", ",", 
            RowBox[{
             RowBox[{"delq", " ", "qmax"}], "+", "qeps", "-", "delq"}], ",", 
            "delq"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"points1", "=", 
        RowBox[{"IntegerPart", "[", 
         RowBox[{"20.", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"dim", "-", "0.001"}], ")"}], "/", "fac"}]}], "]"}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\[Delta]\[Delta]t", "=", 
        RowBox[{"Drop", "[", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"Drop", "[", 
             RowBox[{
              RowBox[{"Drop", "[", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"IntegerPart", "[", 
                   SuperscriptBox["10.", 
                    RowBox[{"jj", "/", "20."}]], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"jj", ",", "6", ",", "points1"}], "}"}]}], "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"4", ",", "5"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", "6", "}"}]}], "]"}], ",", 
          RowBox[{"{", "7", "}"}]}], "]"}]}], ",", "  ", 
       RowBox[{"points", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "\[Delta]\[Delta]t", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"coord", "=", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"10.", ",", 
          RowBox[{"dim", "/", 
           RowBox[{"(", 
            RowBox[{"fac", "  ", "\[Delta]\[Delta]t"}], ")"}]}]}], "]"}]}], 
       ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "coord", " ", "contains", " ", "the", " ", "Log", " ", "10", " ", 
           "values", " ", "of", " ", "the", " ", "different", " ", "lags"}], 
          ",", " ", 
          RowBox[{"the", " ", "lambda", " ", "values"}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
       RowBox[{"moms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "qmax", "}"}], ",", 
          RowBox[{"{", "points", "}"}]}], "]"}]}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RR", "=", 
            RowBox[{"Accumulate", "[", 
             RowBox[{"Fluxall", "[", 
              StyleBox[
               RowBox[{
                RowBox[{
                "xv", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
                ",", "switch"}],
               FontColor->RGBColor[1, 0, 0]], 
              StyleBox["]",
               FontColor->RGBColor[1, 0, 0]]}], 
             StyleBox["]",
              FontColor->RGBColor[1, 0, 0]]}]}], ",", 
           RowBox[{"moms", "=", 
            RowBox[{"moms", "+", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Delta]t", "=", 
                  RowBox[{"\[Delta]\[Delta]t", "[", 
                   RowBox[{"[", "jj", "]"}], "]"}]}], ";", 
                 StyleBox[
                  RowBox[{"R", "=", 
                   RowBox[{"Take", "[", 
                    RowBox[{"RR", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "dim", ",", "\[Delta]t"}], "}"}]}], 
                    "]"}]}],
                  FontColor->RGBColor[0, 0, 1]], 
                 StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], 
                 StyleBox[
                  RowBox[{"R\[Delta]t", "=", 
                   RowBox[{"RotateRight", "[", 
                    RowBox[{"R", ",", "1"}], "]"}]}],
                  FontColor->RGBColor[0, 0, 1]], 
                 StyleBox[";",
                  FontColor->RGBColor[0, 0, 1]], 
                 StyleBox[" ",
                  FontColor->RGBColor[0, 0, 1]], 
                 RowBox[{
                  StyleBox["\[Delta]Rx",
                   FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["=",
                   FontColor->RGBColor[0, 0, 1]], 
                  RowBox[{
                   RowBox[{
                    StyleBox["Drop",
                    FontColor->RGBColor[0, 0, 1]], 
                    StyleBox["[",
                    FontColor->RGBColor[0, 0, 1]], 
                    RowBox[{
                    StyleBox[
                    RowBox[{"Abs", "[", 
                    RowBox[{"R", "-", "R\[Delta]t"}], "]"}],
                    FontColor->RGBColor[0, 0, 1]], 
                    StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                    StyleBox["1",
                    FontColor->RGBColor[1, 0, 1]]}], 
                    StyleBox["]",
                    FontColor->RGBColor[0, 0, 1]]}], 
                   StyleBox["/",
                    FontColor->RGBColor[0, 0, 1]], "\[Delta]t"}]}], ";", 
                 StyleBox[
                  RowBox[{"a", "=", 
                   RowBox[{"\[Delta]Rx", "^", "qeps"}]}],
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[";",
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[
                  RowBox[{"b", "=", "a"}],
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[";",
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[
                  RowBox[{"(*", 
                   RowBox[{
                    RowBox[{
                    "this", " ", "is", " ", "necessary", " ", "for", " ", 
                    "fields", " ", "which", " ", "have", " ", "exactly", " ", 
                    "zero", " ", "values"}], ",", " ", 
                    RowBox[{
                    "for", " ", "strictly", " ", "positive", " ", "fields"}], 
                    ",", " ", 
                    RowBox[{"not", " ", "needed"}]}], "*)"}],
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[
                  RowBox[{"aa", "=", 
                   RowBox[{"\[Delta]Rx", "^", "0.1"}]}],
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[";",
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[
                  RowBox[{"Mean", "[", 
                   RowBox[{"Transpose", "[", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"a", "=", 
                    RowBox[{"a", " ", "aa"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", 
                    RowBox[{"(", 
                    RowBox[{"qmax", "-", "1"}], ")"}]}], "}"}]}], "]"}], ",", 
                    "b"}], "]"}], "]"}], "]"}],
                  FontColor->RGBColor[0, 1, 0]]}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "points"}], "}"}]}], "]"}], 
              "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "]"}], ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Log", "[", 
         RowBox[{"10.", ",", 
          FractionBox["moms", "num"]}], "]"}]}], ",", 
       RowBox[{"norm", "=", 
        RowBox[{
        "moms", "\[LeftDoubleBracket]", "11", "\[RightDoubleBracket]"}]}], 
       ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"moms", "\[LeftDoubleBracket]", 
            RowBox[{"q", ",", "j"}], "\[RightDoubleBracket]"}], "-", 
           RowBox[{
            RowBox[{
            "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
            " ", 
            RowBox[{"norm", "[", 
             RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "1", ",", "qmax"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "points"}], "}"}]}], "]"}]}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "this", " ", "line", " ", "does", " ", "the", " ", "normalization", 
           " ", "it", " ", "effectively", " ", "dives", " ", "by", " ", "the",
            " ", "mean", " ", 
           RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "q"}], "=", 
          RowBox[{
          "1", " ", "moment", "  ", "which", " ", "is", " ", "assumed", " ", 
           "here", " ", "to", " ", "be", " ", "the", " ", "11", " ", "th", 
           " ", "moment", " ", "calculated", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"since", " ", "delq"}], "=", "0.1"}]}]}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox["\[IndentingNewLine]",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"droppointslow", "=", "1"}], ",", 
       RowBox[{"droppointshigh", "=", 
        RowBox[{"points", "-", "1"}]}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "these", " ", "numbers", " ", "specify", " ", "the", " ", "range", 
           " ", "of", " ", "lambda", " ", "values", " ", "used", " ", "in", 
           " ", "fitting", " ", "straight", " ", "lines", " ", "to", " ", 
           "the", " ", "slopes"}], ",", " ", 
          RowBox[{
           RowBox[{"i", ".", "e", ".", " ", "in"}], " ", "detrermining", " ", 
           "K", 
           RowBox[{"(", "q", ")"}], " ", "values"}], ",", " ", 
          RowBox[{
          "the", " ", "numbers", " ", "here", " ", "in", " ", "each", " ", 
           "case", " ", "specify", " ", "how", " ", "far", " ", "we", " ", 
           "are", " ", "from", " ", "the", " ", "end", " ", "of", " ", "the", 
           " ", "raqnge", " ", "of", " ", 
           RowBox[{"lambda", ".", " ", "You"}], " ", "could", " ", 
           "experiment", " ", "a", " ", "little", " ", "with", " ", 
           "them"}]}], " ", "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"inter", ",", "hqneg"}], "}"}], "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"aa", "=", 
             RowBox[{"Fit", "[", 
              RowBox[{
               RowBox[{"Take", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", 
                  RowBox[{"{", 
                   RowBox[{"coord", ",", 
                    RowBox[{
                    "moms", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
               RowBox[{
               "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}], "]"}]}], 
       ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grref", "[", "i", "]"}], "=", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
             "inter", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             "+", 
             RowBox[{
              RowBox[{
              "hqneg", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
               " ", "x1"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{
              "coord", "\[LeftDoubleBracket]", "droppointshigh", 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{
              "coord", "\[LeftDoubleBracket]", "droppointslow", 
               "\[RightDoubleBracket]"}]}], "}"}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"gr", "[", "i", "]"}], "=", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coord", ",", 
               RowBox[{
               "moms", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
            RowBox[{"Joined", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"Hue", "[", 
              FractionBox["i", "qmax"], "]"}]}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[Lambda]\>\"", ",", 
               "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)M\>\""}], 
              "}"}]}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"grmomall", "=", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"gr", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grref", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], 
         "]"}]}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"this", " ", "has", " ", "the", " ", "good", " ", "graph"}],
           ",", " ", 
          RowBox[{"you", " ", "should", " ", "use", " ", 
           RowBox[{"Show", "[", "grmomall", "]"}]}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"Kq", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
            ",", 
            RowBox[{
            "hqneg", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}]}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grKq", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"Kq", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.75`", "]"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<q\>\"", ",", "\"\<K(q)\>\""}], "}"}]}]}], "]"}]}], 
       ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"this", " ", "is", " ", "the", " ", "K", 
          RowBox[{"(", "q", ")"}], " ", "function", " ", 
          RowBox[{"don", "'"}], "t", " ", "be", " ", "confused", " ", "with", 
          " ", "the", " ", "words", " ", "\"\<psi\>\""}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[
        RowBox[{"psi", "=", "Kq"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"ft0", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Append", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.`"}], "}"}], "}"}], "}"}], ",", 
              RowBox[{"Take", "[", 
               RowBox[{"Kq", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}], ",", "1"}],
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx", ",", 
            SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"psiprime0", "=", 
        RowBox[{
         RowBox[{
         "ft0", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "+", 
         RowBox[{
          RowBox[{
          "ft0", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"ft", "=", 
        RowBox[{"-", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Take", "[", 
            RowBox[{"Kq", ",", 
             RowBox[{"{", 
              RowBox[{"4", ",", "8"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "xx", ",", 
             SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}]}], ",", 
       RowBox[{"C1psi", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ")"}]}], 
       ",", 
       RowBox[{"Hpsi", "=", 
        RowBox[{"ft", "/.", "\[InvisibleSpace]", 
         RowBox[{"xx", "\[Rule]", "1"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<H=   \>\"", ",", "Hpsi"}], "]"}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "this", " ", "H", " ", "should", " ", "be", " ", "nearly", " ", 
          "zero"}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<derivative C1=  \>\"", ",", "C1psi"}], "]"}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "this", " ", "is", " ", "an", " ", "esitmate", " ", "of", " ", 
          "C1"}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"grschmitt", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                 "psi", "\[LeftDoubleBracket]", "q", 
                  "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", "psiprime0"}], "-", 
                   RowBox[{
                    RowBox[{
                    "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.9`", "]"}]}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ",", 
       RowBox[{"alph", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                 "psi", "\[LeftDoubleBracket]", "q", 
                  "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", "psiprime0"}], "-", 
                   RowBox[{
                    RowBox[{
                    "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"q", ",", "2", ",", "qmax"}], "}"}]}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx"}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<Schmitt \[Alpha]=  \>\"", ",", 
         RowBox[{"Re", "[", 
          RowBox[{
           RowBox[{
           "alph", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "]"}]}], 
        "]"}], ",", 
       RowBox[{"grschmitttheory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"alph", "/.", "\[InvisibleSpace]", 
           RowBox[{"xx", "\[Rule]", "xxx"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"xxx", ",", 
            RowBox[{"-", "1.`"}], ",", "0.5`"}], "}"}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ",", 
       RowBox[{"grschmitttall", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grschmitttheory", ",", "grschmitt", ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], 
         "]"}]}], ","}], 
      StyleBox[
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "this", " ", "gives", " ", "an", " ", "esitmate", " ", "of", " ", 
          "alpha"}], ",", " ", 
         RowBox[{"not", " ", "too", " ", "reliable"}]}], "*)"}],
       FontColor->RGBColor[1, 0, 0]], "}"}], ";", "Kq"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.552058799779578*^9, 3.5520588399307213`*^9}, {
  3.552058944108533*^9, 3.552059015409827*^9}, {3.552060822063159*^9, 
  3.552060826187706*^9}, {3.5805144567210484`*^9, 3.580514512491766*^9}, {
  3.580514576310615*^9, 3.5805146202911463`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DifferenceStructure", "[", 
   RowBox[{"xv_", ",", "low_", ",", "high_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"num", ",", "dim"}], "}"}], "=", 
        RowBox[{"Dimensions", "[", "xv", "]"}]}], ",", 
       RowBox[{"qmax", "=", "21"}], ",", 
       RowBox[{"delq", "=", "0.1"}], ",", 
       RowBox[{"qeps", "=", "0.0001`"}], ",", 
       RowBox[{"Qtab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"q", ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "qeps", ",", 
            RowBox[{
             RowBox[{"delq", " ", "qmax"}], "+", "qeps", "-", "delq"}], ",", 
            "delq"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"points", "=", 
        RowBox[{"IntegerPart", "[", 
         RowBox[{"20.`", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "dim"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"\[Delta]\[Delta]t", "=", 
        RowBox[{"Union", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"IntegerPart", "[", 
            SuperscriptBox["10.`", 
             RowBox[{"jj", "/", "20.`"}]], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"jj", ",", "1", ",", "points"}], "}"}]}], "]"}], "]"}]}], 
       ",", 
       RowBox[{"coord", "=", 
        RowBox[{"Log", "[", 
         RowBox[{"10", ",", "\[Delta]\[Delta]t"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"{", "points", "}"}], "=", 
        RowBox[{"Dimensions", "[", "\[Delta]\[Delta]t", "]"}]}], ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "qmax", "}"}], ",", 
          RowBox[{"{", "points", "}"}]}], "]"}]}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"R", "=", 
            RowBox[{
            "xv", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
           ",", 
           RowBox[{"RR", "=", 
            RowBox[{"Reverse", "[", "R", "]"}]}], ",", 
           RowBox[{"moms", "=", 
            RowBox[{"moms", "+", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Delta]t", "=", 
                  RowBox[{
                  "\[Delta]\[Delta]t", "\[LeftDoubleBracket]", "jj", 
                   "\[RightDoubleBracket]"}]}], ";", 
                 RowBox[{"R\[Delta]t", "=", 
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"R", ",", "\[Delta]t"}], "]"}]}], ";", 
                 RowBox[{"\[Delta]Rx", "=", 
                  RowBox[{"Abs", "[", 
                   RowBox[{"R", "-", "R\[Delta]t"}], "]"}]}], ";", 
                 RowBox[{"RR\[Delta]t", "=", 
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"RR", ",", "\[Delta]t"}], "]"}]}], ";", 
                 RowBox[{"\[Delta]RRx", "=", 
                  RowBox[{"Abs", "[", 
                   RowBox[{"RR", "-", "RR\[Delta]t"}], "]"}]}], ";", 
                 RowBox[{"Mean", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["#1", "Qtab"], "&"}], ")"}], "/@", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{"\[Delta]Rx", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\[Delta]t", "+", "1"}], ",", "dim", ",", 
                    "\[Delta]t"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Take", "[", 
                    RowBox[{"\[Delta]RRx", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\[Delta]t", "+", "1"}], ",", "dim", ",", 
                    "\[Delta]t"}], "}"}]}], "]"}]}], "}"}], "]"}]}], "]"}]}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "points"}], "}"}]}], "]"}], 
              "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "]"}], ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Log", "[", 
         RowBox[{"10", ",", 
          FractionBox["moms", "num"]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"inter", ",", "hqneg"}], "}"}], "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"aa", "=", 
             RowBox[{"Fit", "[", 
              RowBox[{
               RowBox[{"Take", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", 
                  RowBox[{"{", 
                   RowBox[{"coord", ",", 
                    RowBox[{
                    "moms", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"low", ",", "high"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
               RowBox[{
               "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}], "]"}]}], 
       ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grref", "[", "i", "]"}], "=", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
             "inter", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             "+", 
             RowBox[{
              RowBox[{
              "hqneg", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
               " ", "x1"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{
              "coord", "\[LeftDoubleBracket]", "high", 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{
              "coord", "\[LeftDoubleBracket]", "low", 
               "\[RightDoubleBracket]"}]}], "}"}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"gr", "[", "i", "]"}], "=", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coord", ",", 
               RowBox[{
               "moms", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
            RowBox[{"Joined", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Hue", "[", 
                FractionBox["i", "qmax"], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)\
\[CapitalDelta]x\>\"", ",", 
               "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)S(\
\[CapitalDelta]x)\>\""}], "}"}]}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"24", ",", 
               RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], 
              "}"}]}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grpts", "[", "i", "]"}], "=", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coord", ",", 
               RowBox[{
               "moms", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
               RowBox[{"Hue", "[", 
                FractionBox["i", "qmax"], "]"}]}], "}"}]}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"grout", "=", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"gr", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grpts", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grref", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], 
         "]"}]}], ",", 
       RowBox[{"psi", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
            ",", 
            RowBox[{
            "hqneg", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}]}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grpsi", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"psi", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.75`", "]"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<q\>\"", ",", "\"\<\[Xi](q)\>\""}], "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", 
       RowBox[{"ft", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Take", "[", 
           RowBox[{"psi", ",", 
            RowBox[{"{", 
             RowBox[{"9", ",", "13"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx", ",", 
            SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"C1psi", "=", 
        RowBox[{
         RowBox[{"ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
          "-", 
         RowBox[{
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"Hpsi", "=", 
        RowBox[{"ft", "/.", "\[InvisibleSpace]", 
         RowBox[{"xx", "\[Rule]", "1"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<H=   \>\"", ",", "Hpsi"}], "]"}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<derivative C1=  \>\"", ",", "C1psi"}], "]"}], ",", 
       RowBox[{"alpha", "=", 
        RowBox[{
         RowBox[{"-", "2"}], 
         RowBox[{
          RowBox[{
           RowBox[{"ft", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "/", "C1psi"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<alpha = \>\"", ",", "alpha"}], "]"}]}], "}"}], ";", 
     RowBox[{"{", 
      RowBox[{"grout", ",", "grpsi"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5520598090175247`*^9, 3.552059818871881*^9}, {
   3.552059850605012*^9, 3.552059967968431*^9}, 3.552060299183239*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TraceMoment", "[", 
   RowBox[{"xv_", ",", "switch_", ",", "low_", ",", "high_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"num", ",", "dim"}], "}"}], "=", 
        RowBox[{"Dimensions", "[", "xv", "]"}]}], ",", 
       RowBox[{"qmax", "=", "21"}], ",", 
       RowBox[{"delq", "=", "0.1"}], ",", 
       RowBox[{"fac", "=", "1"}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "with", " ", "these", " ", "two", " ", "parameters", " ", "there", 
           " ", "are", " ", "20", " ", "q", " ", "values", " ", "at", " ", 
           "intervals", " ", "of", " ", "delq"}], "=", 
          RowBox[{
           RowBox[{
           "0.2", "  ", "you", " ", "might", " ", "consider", " ", "changing",
             " ", "this", " ", "to", " ", "delq"}], "=", "0.1"}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"qeps", "=", "0.0001"}], ",", 
       RowBox[{"Qtab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"q", ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "qeps", ",", 
            RowBox[{
             RowBox[{"delq", " ", "qmax"}], "+", "qeps", "-", "delq"}], ",", 
            "delq"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"points1", "=", 
        RowBox[{"IntegerPart", "[", 
         RowBox[{"20.", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"dim", "-", "0.001"}], ")"}], "/", "fac"}]}], "]"}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\[Delta]\[Delta]t", "=", 
        RowBox[{"Drop", "[", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{
            RowBox[{"Drop", "[", 
             RowBox[{
              RowBox[{"Drop", "[", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"IntegerPart", "[", 
                   SuperscriptBox["10.", 
                    RowBox[{"jj", "/", "20."}]], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"jj", ",", "6", ",", "points1"}], "}"}]}], "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"4", ",", "5"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", "6", "}"}]}], "]"}], ",", 
          RowBox[{"{", "7", "}"}]}], "]"}]}], ",", "  ", 
       RowBox[{"points", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "\[Delta]\[Delta]t", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"coord", "=", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"10.", ",", 
          RowBox[{"dim", "/", 
           RowBox[{"(", 
            RowBox[{"fac", "  ", "\[Delta]\[Delta]t"}], ")"}]}]}], "]"}]}], 
       ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "coord", " ", "contains", " ", "the", " ", "Log", " ", "10", " ", 
           "values", " ", "of", " ", "the", " ", "different", " ", "lags"}], 
          ",", " ", 
          RowBox[{"the", " ", "lambda", " ", "values"}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
       RowBox[{"moms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "qmax", "}"}], ",", 
          RowBox[{"{", "points", "}"}]}], "]"}]}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RR", "=", 
            RowBox[{"Accumulate", "[", 
             RowBox[{"Fluxall", "[", 
              RowBox[{
               RowBox[{"xv", 
                StyleBox["[",
                 FontColor->GrayLevel[0]], 
                StyleBox[
                 RowBox[{"[", "i", "]"}],
                 FontColor->GrayLevel[0]], 
                StyleBox["]",
                 FontColor->GrayLevel[0]]}], 
               StyleBox[",",
                FontColor->GrayLevel[0]], "switch"}], 
              StyleBox["]",
               FontColor->GrayLevel[0]]}], 
             StyleBox["]",
              FontColor->GrayLevel[0]]}]}], ",", 
           RowBox[{"moms", "=", 
            RowBox[{"moms", "+", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Delta]t", "=", 
                  RowBox[{"\[Delta]\[Delta]t", "[", 
                   RowBox[{"[", "jj", "]"}], "]"}]}], ";", 
                 RowBox[{"R", "=", 
                  RowBox[{
                   StyleBox["Take",
                    FontColor->GrayLevel[0]], 
                   StyleBox["[",
                    FontColor->GrayLevel[0]], 
                   RowBox[{
                    StyleBox["RR",
                    FontColor->GrayLevel[0]], 
                    StyleBox[",",
                    FontColor->GrayLevel[0]], 
                    RowBox[{
                    StyleBox["{",
                    FontColor->GrayLevel[0]], 
                    RowBox[{
                    StyleBox["1",
                    FontColor->GrayLevel[0]], 
                    StyleBox[",",
                    FontColor->GrayLevel[0]], 
                    StyleBox["dim",
                    FontColor->GrayLevel[0]], 
                    StyleBox[",",
                    FontColor->GrayLevel[0]], "\[Delta]t"}], "}"}]}], "]"}]}], 
                 StyleBox[";",
                  FontColor->GrayLevel[0]], 
                 RowBox[{
                  StyleBox[
                   RowBox[{
                    StyleBox["R",
                    FontColor->GrayLevel[0]], "\[Delta]t"}]], "=", 
                  StyleBox[
                   RowBox[{"RotateRight", "[", 
                    RowBox[{"R", ",", "1"}], "]"}],
                   FontColor->GrayLevel[0]]}], 
                 StyleBox[";",
                  FontColor->GrayLevel[0]], 
                 StyleBox[" ",
                  FontColor->GrayLevel[0]], 
                 RowBox[{"\[Delta]Rx", "=", 
                  RowBox[{
                   RowBox[{
                    StyleBox["Drop",
                    FontColor->GrayLevel[0]], 
                    StyleBox["[",
                    FontColor->GrayLevel[0]], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Abs",
                    FontColor->GrayLevel[0]], 
                    StyleBox["[",
                    FontColor->GrayLevel[0]], 
                    RowBox[{
                    StyleBox["R",
                    FontColor->GrayLevel[0]], 
                    StyleBox["-",
                    FontColor->GrayLevel[0]], 
                    StyleBox[
                    RowBox[{
                    StyleBox["R",
                    FontColor->GrayLevel[0]], "\[Delta]t"}]]}], "]"}], ",", 
                    "1"}], "]"}], "/", "\[Delta]t"}]}], ";", 
                 StyleBox[
                  RowBox[{"a", "=", 
                   RowBox[{"\[Delta]Rx", "^", "qeps"}]}],
                  FontColor->GrayLevel[0]], 
                 StyleBox[";",
                  FontColor->GrayLevel[0]], 
                 StyleBox[
                  RowBox[{"b", "=", "a"}],
                  FontColor->GrayLevel[0]], 
                 StyleBox[";",
                  FontColor->GrayLevel[0]], 
                 StyleBox[
                  RowBox[{"(*", 
                   RowBox[{
                    RowBox[{
                    "this", " ", "is", " ", "necessary", " ", "for", " ", 
                    "fields", " ", "which", " ", "have", " ", "exactly", " ", 
                    "zero", " ", "values"}], ",", " ", 
                    RowBox[{
                    "for", " ", "strictly", " ", "positive", " ", "fields"}], 
                    ",", " ", 
                    RowBox[{"not", " ", "needed"}]}], "*)"}],
                  FontColor->RGBColor[0, 1, 0]], 
                 StyleBox[";",
                  FontColor->GrayLevel[0]], 
                 StyleBox[
                  RowBox[{"aa", "=", 
                   RowBox[{"\[Delta]Rx", "^", "0.1"}]}],
                  FontColor->GrayLevel[0]], 
                 StyleBox[";",
                  FontColor->GrayLevel[0]], 
                 StyleBox[
                  RowBox[{"Mean", "[", 
                   RowBox[{"Transpose", "[", 
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"a", "=", 
                    RowBox[{"a", " ", "aa"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", 
                    RowBox[{"(", 
                    RowBox[{"qmax", "-", "1"}], ")"}]}], "}"}]}], "]"}], ",", 
                    "b"}], "]"}], "]"}], "]"}],
                  FontColor->GrayLevel[0]]}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "points"}], "}"}]}], "]"}], 
              "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "]"}], ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Log", "[", 
         RowBox[{"10.", ",", 
          FractionBox["moms", "num"]}], "]"}]}], ",", 
       RowBox[{"norm", "=", 
        RowBox[{
        "moms", "\[LeftDoubleBracket]", "11", "\[RightDoubleBracket]"}]}], 
       ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"moms", "\[LeftDoubleBracket]", 
            RowBox[{"q", ",", "j"}], "\[RightDoubleBracket]"}], "-", 
           RowBox[{
            RowBox[{
            "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
            " ", 
            RowBox[{"norm", "[", 
             RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "1", ",", "qmax"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "points"}], "}"}]}], "]"}]}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "this", " ", "line", " ", "does", " ", "the", " ", "normalization", 
           " ", "it", " ", "effectively", " ", "dives", " ", "by", " ", "the",
            " ", "mean", " ", 
           RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "q"}], "=", 
          RowBox[{
          "1", " ", "moment", "  ", "which", " ", "is", " ", "assumed", " ", 
           "here", " ", "to", " ", "be", " ", "the", " ", "11", " ", "th", 
           " ", "moment", " ", "calucated", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"since", " ", "delq"}], "=", "0.1"}]}]}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"inter", ",", "hqneg"}], "}"}], "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"aa", "=", 
             RowBox[{"Fit", "[", 
              RowBox[{
               RowBox[{"Take", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", 
                  RowBox[{"{", 
                   RowBox[{"coord", ",", 
                    RowBox[{
                    "moms", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"low", ",", "high"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
               RowBox[{
               "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}], "]"}]}], 
       ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grref", "[", "i", "]"}], "=", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"inter", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{
              "hqneg", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
               " ", "x1"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{
              "coord", "\[LeftDoubleBracket]", "high", 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{
              "coord", "\[LeftDoubleBracket]", "low", 
               "\[RightDoubleBracket]"}]}], "}"}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"gr", "[", "i", "]"}], "=", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coord", ",", 
               RowBox[{
               "moms", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
            RowBox[{"Joined", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"Hue", "[", 
              FractionBox["i", "qmax"], "]"}]}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[Lambda]\>\"", ",", 
               "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)M\>\""}], 
              "}"}]}], ",", 
            RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"grmomall", "=", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"gr", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grref", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], 
         "]"}]}], ",", 
       RowBox[{"grout", 
        StyleBox["=",
         FontColor->GrayLevel[0]], 
        StyleBox[
         RowBox[{"Show", "[", "grmomall", "]"}],
         FontColor->GrayLevel[0]]}], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       RowBox[{"Kq", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
            ",", 
            RowBox[{
            "hqneg", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}]}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grKq", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"Kq", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.75`", "]"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<q\>\"", ",", "\"\<K(q)\>\""}], "}"}]}]}], "]"}]}], 
       ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"this", " ", "is", " ", "the", " ", "K", 
          RowBox[{"(", "q", ")"}], " ", "function", " ", 
          RowBox[{"don", "'"}], "t", " ", "be", " ", "confused", " ", "with", 
          " ", "the", " ", "words", " ", "\"\<psi\>\""}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"psi", "=", "Kq"}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       RowBox[{"ft", "=", 
        RowBox[{"-", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Take", "[", 
            RowBox[{"Kq", ",", 
             RowBox[{"{", 
              RowBox[{"4", ",", "8"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "xx", ",", 
             SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}]}], ",", 
       RowBox[{"C1psi", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ")"}]}], 
       ",", 
       RowBox[{"Hpsi", "=", 
        RowBox[{"ft", "/.", "\[InvisibleSpace]", 
         RowBox[{"xx", "\[Rule]", "1"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<derivative C1 =  \>\"", ",", "C1psi"}], "]"}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "this", " ", "is", " ", "an", " ", "estimate", " ", "of", " ", 
          "C1"}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[
        RowBox[{"alpha", "=", 
         RowBox[{
          RowBox[{"-", "2"}], 
          RowBox[{
           RowBox[{
            RowBox[{"ft", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "/", "C1psi"}]}]}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"Print", "[", 
         RowBox[{"\"\<alpha = \>\"", ",", "alpha"}], "]"}],
        FontColor->GrayLevel[0]]}], "}"}], ";", 
     RowBox[{"{", 
      RowBox[{"grout", ",", "Kq"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5520558333525963`*^9, 3.552055939760351*^9}, {
   3.552055993649054*^9, 3.552056043940691*^9}, {3.5520569934359426`*^9, 
   3.552057066526413*^9}, {3.5520571010250473`*^9, 3.552057232625477*^9}, {
   3.55206057738304*^9, 3.552060577985697*^9}, 3.552060613020533*^9, {
   3.5520606431328917`*^9, 3.552060688892083*^9}, {3.552393158832561*^9, 
   3.5523931629848967`*^9}, {3.552395077575767*^9, 3.552395077716894*^9}, {
   3.552681567893927*^9, 3.552681693793789*^9}, {3.5526824365848417`*^9, 
   3.552682437464532*^9}, {3.552834559437777*^9, 3.5528345614066477`*^9}, {
   3.553272117949293*^9, 3.5532721209086533`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"smooth1D", "[", "field_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", "dim", "}"}], "=", 
        RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
       RowBox[{"smoothfield", "=", 
        RowBox[{
         RowBox[{"field", "/", "2."}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"RotateRight", "[", 
             RowBox[{"field", ",", "1"}], "]"}], "+", 
            RowBox[{"RotateLeft", "[", 
             RowBox[{"field", ",", "1"}], "]"}]}], ")"}], "/", "4."}]}]}], 
       ",", 
       RowBox[{
        RowBox[{"smoothfield", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"field", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "+", 
           RowBox[{"field", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", "2."}]}], ",", 
       RowBox[{
        RowBox[{"smoothfield", "[", 
         RowBox[{"[", "dim", "]"}], "]"}], "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"field", "[", 
            RowBox[{"[", "dim", "]"}], "]"}], "+", 
           RowBox[{"field", "[", 
            RowBox[{"[", 
             RowBox[{"dim", "-", "1"}], "]"}], "]"}]}], ")"}], "/", 
         "2."}]}]}], "}"}], ";", "smoothfield"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.55204922926786*^9, 3.552049315693178*^9}],

Cell["This smoothes data for graphs", "Text",
 CellChangeTimes->{{3.5492752697141542`*^9, 3.54927527845016*^9}, 
   3.552049225587632*^9, {3.5520493540501947`*^9, 3.552049374501965*^9}}],

Cell[BoxData[
 RowBox[{"fac", "=", "1."}]], "Input"],

Cell[BoxData[
 RowBox[{"calib", "=", "2."}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Haar", "[", 
   RowBox[{
   "xv_", ",", "calibcoord_", ",", "droppointslowpoints_", ",", 
    "droppointshighpoints_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "xx", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"num", ",", "dim"}], "}"}], "=", 
        RowBox[{"Dimensions", "[", "xv", "]"}]}], ",", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "xv", " ", "is", " ", "a", " ", "two", " ", "dimensional", " ", 
           RowBox[{"array", ".", "  ", "num"}], " ", "is", " ", "the", " ", 
           "nubmer", " ", "of", " ", "independent", " ", "series"}], ",", " ", 
          RowBox[{"dim", " ", "is", " ", "the", " ", "legth", " ", "of", " ", 
           RowBox[{"each", ".", "  ", "The"}], " ", "parameters", " ", 
           "droppointslow", " ", "and", " ", "droppointshighpoints", " ", 
           "are", " ", "the", " ", "number", " ", "of", " ", "points", " ", 
           "at", " ", "low", " ", "and", " ", "high", " ", "lags", " ", 
           "respectively", " ", "that", " ", "should", " ", "be", " ", 
           "dropped", " ", "before", " ", "esitmating", " ", 
           RowBox[{"exponents", ".", "  ", "If"}], " ", "there", " ", "is", 
           " ", "a", " ", "single", " ", "series"}], ",", " ", 
          RowBox[{"in", " ", "the", " ", "argument"}], ",", " ", 
          RowBox[{
          "put", " ", "curly", " ", "brackets", " ", "around", " ", "it"}], 
          ",", " ", 
          RowBox[{"e", ".", "g", ".", " ", 
           RowBox[{"{", "xv", "}"}], ".", "  ", "Alternatively"}], ",", " ", 
          RowBox[{
           RowBox[{
           "we", " ", "could", " ", "think", " ", "of", " ", "this", " ", 
            "as", " ", "analysing", " ", "a", " ", "2"}], "-", 
           RowBox[{"D", " ", "field", " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"num", " ", "X", " ", "dim"}], ")"}], ".", "  ", "In"}],
             " ", "this", " ", "case", " ", "we", " ", "could", " ", "also", 
            " ", "analyse", " ", "the", " ", "transpose", " ", "of", " ", 
            "xv", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
              "so", " ", "as", " ", "to", " ", "study", " ", "the", " ", 
               RowBox[{"anisotropy", ".", " ", "calibcoord"}], " ", "is", " ",
                "for", " ", "calibration", " ", "of", " ", "the", " ", 
               RowBox[{"time", "/", "space"}], " ", "axis", " ", "it", " ", 
               "is", " ", "the", " ", "resolution", " ", "in", " ", "some", 
               " ", "basic", " ", "units", " ", "for", " ", "example", " ", 
               "if", " ", "the", " ", "data", " ", "has", " ", "monthly", " ",
                "resolution"}], ",", " ", 
              RowBox[{
               RowBox[{"then", " ", "using", " ", "calibcoord"}], "=", 
               RowBox[{
                RowBox[{"1", "/", "12"}], " ", "give", " ", "a", " ", 
                "result", " ", "in", " ", "units", " ", "of", " ", 
                RowBox[{"years", ".", "  ", "The"}], " ", "range", " ", "of", 
                " ", "scales", " ", "over", " ", "which", " ", "fluctuations",
                 " ", "are", " ", "calculated", " ", "is", " ", "2", " ", 
                "units", " ", "to", " ", "dim", " ", 
                RowBox[{"i", ".", "e", ".", " ", "a"}], " ", "ratio", " ", 
                "of", " ", 
                RowBox[{"dim", "/", "2"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "we", " ", "use", " ", "the", " ", "convention", " ", 
                    "that", " ", "the", " ", "largest", " ", "lag", " ", "is",
                     " ", "equal", " ", "to", " ", "the", " ", "length", " ", 
                    "of", " ", "the", " ", 
                    RowBox[{"series", ".", "  ", "fac"}]}], "=", 
                   RowBox[{
                    RowBox[{"1", " ", "is", " ", "the", " ", 
                    RowBox[{"default", ".", "  ", "If"}], " ", "fac"}], "=", 
                    "2"}]}], ",", " ", 
                  RowBox[{
                  "then", " ", "periodic", " ", "data", " ", "are", " ", 
                   "assumed", " ", "oand", " ", "the", " ", "largest", " ", 
                   "lag", " ", "is", " ", "half", " ", "the", " ", "full", 
                   " ", 
                   RowBox[{"length", "."}]}]}], ")"}]}]}]}]}]}]}]}], "*)"}],
        FontSize->16,
        FontColor->RGBColor[0, 1, 0]], 
       StyleBox[",",
        FontSize->16,
        FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"calib", "=", "2."}], "*)"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "This", " ", "is", " ", "the", " ", "\"\<Haar calibration\>\"", " ", 
          RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "value", " ", "that",
           " ", "approxiamtely", " ", "maps", " ", "the", " ", "Haar", " ", 
          "flucutaitons", " ", "onto", " ", "difference", " ", "and", " ", 
          "tendency", " ", "fluctuations"}], ",", " ", 
         RowBox[{
         "the", " ", "default", " ", "value", " ", "is", " ", "2."}]}], 
        "*)"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"qmax", "=", "21"}], ",", 
       RowBox[{"delq", "=", "0.1"}], ",", 
       RowBox[{"qeps", "=", "0.0001`"}], ",", 
       RowBox[{"Qtab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"q", ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "qeps", ",", 
            RowBox[{
             RowBox[{"delq", " ", "qmax"}], "+", "qeps", "-", "delq"}], ",", 
            "delq"}], "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{
          "with", " ", "these", " ", "parameters", " ", "we", " ", "calucate",
            " ", "the", " ", "moments", " ", "every", " ", "delq"}], "=", 
          RowBox[{
           RowBox[{"0.1", " ", "from", " ", "0", " ", "to", " ", "q"}], "=", 
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"qmax", " ", "values", " ", "in", " ", "all"}], ")"}], 
              ".", "  ", "qeps"}], " ", "is", " ", "added", " ", "to", " ", 
             "avoid", " ", "exponenting", " ", "to", " ", "a", " ", "zero", 
             " ", "power"}], " ", "-", " ", 
            RowBox[{
            "a", " ", "problem", " ", "if", " ", "the", " ", "data", " ", 
             "contains", " ", "zero", " ", 
             RowBox[{"values", ".", "  ", "calib"}], " ", "is", " ", "an", 
             " ", "overall", " ", "multiplier", " ", "used", " ", "only", " ",
              "for", " ", "the", " ", "graphics", " ", "output", " ", 
             "grRMS"}]}]}]}], ",", " ", 
         RowBox[{
         "grq1", " ", "that", " ", "takes", " ", "into", " ", "account", " ", 
          "the", " ", "calibration", " ", "with", " ", "respect", " ", "to", 
          " ", "difference", " ", "and", " ", "tendency", " ", 
          "fluctuations"}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"points2", "=", 
        RowBox[{"10", "^", "6"}]}], ",", 
       RowBox[{"points1", "=", 
        RowBox[{"IntegerPart", "[", 
         RowBox[{"20.", " ", 
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"points2", "-", "0.001"}], ")"}], "/", "fac"}]}], 
           "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\[Delta]\[Delta]t30", "=", 
        RowBox[{"{", 
         RowBox[{
         "2", ",", "4", ",", "6", ",", "8", ",", "10", ",", "12", ",", "14", 
          ",", "16", ",", "18", ",", "20", ",", "22"}], "}"}]}], ",", 
       RowBox[{"maxpoint", "=", 
        RowBox[{"2", " ", 
         RowBox[{"IntegerPart", "[", 
          RowBox[{"dim", "/", 
           RowBox[{"(", 
            RowBox[{"2", " ", "fac"}], ")"}]}], "]"}]}]}], ",", 
       RowBox[{"\[Delta]\[Delta]t2", "=", 
        RowBox[{"Flatten", "[", 
         RowBox[{"Append", "[", 
          RowBox[{"\[Delta]\[Delta]t30", ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"2", "  ", 
              RowBox[{"IntegerPart", "[", 
               RowBox[{
                RowBox[{"(", 
                 SuperscriptBox["10.", 
                  RowBox[{"jj", "/", "20."}]], ")"}], "/", "2"}], "]"}]}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"jj", ",", "28", ",", "points1"}], "}"}]}], "]"}]}], 
          "]"}], "]"}]}], ",", 
       RowBox[{"\[Delta]\[Delta]t", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"\[Delta]\[Delta]t2", ",", 
          RowBox[{
           RowBox[{"#", "<", 
            RowBox[{"(", 
             RowBox[{"maxpoint", "+", "0.001"}], ")"}]}], "&"}]}], "]"}]}], 
       ",", 
       RowBox[{"points", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "\[Delta]\[Delta]t", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       StyleBox[
        RowBox[{
         RowBox[{"\[Delta]\[Delta]t", "[", 
          RowBox[{"[", "points", "]"}], "]"}], "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"\[Delta]\[Delta]t", "[", 
             RowBox[{"[", "points", "]"}], "]"}], "\[Equal]", "dim"}], ",", 
           RowBox[{
            RowBox[{"\[Delta]\[Delta]t", "[", 
             RowBox[{"[", "points", "]"}], "]"}], "=", 
            RowBox[{
             RowBox[{"\[Delta]\[Delta]t", "[", 
              RowBox[{"[", "points", "]"}], "]"}], "-", "2"}]}], ",", 
           RowBox[{"\[Delta]\[Delta]t", "[", 
            RowBox[{"[", "points", "]"}], "]"}]}], "]"}]}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{"coord", "=", " ", 
        RowBox[{"Log", "[", 
         RowBox[{"10.", ",", "\[Delta]\[Delta]t"}], "]"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\< The total number of points is \>\"", ",", "points"}], 
        "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"this", " ", "establishes", " ", "the", " ", 
           RowBox[{"(", "integer", ")"}], " ", "lags", " ", "that", " ", "we",
            " ", "will", " ", "use"}], ";", " ", 
          RowBox[{
          "they", " ", "must", " ", "be", " ", "even", " ", "and", " ", "are",
            " ", "spaced", " ", "at", " ", "roughly", " ", "20", " ", "per", 
           " ", "order", " ", "of", " ", "magnitude", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
              "although", " ", "this", " ", "is", " ", "not", " ", "possible",
                " ", "at", " ", "the", " ", "smallest", " ", "lags"}], ",", 
              " ", 
              RowBox[{"hence", " ", "the", " ", "complications"}]}], ")"}], 
            ".", "  ", "The"}], " ", "variable", " ", "coord", " ", "has", 
           " ", "the", " ", "log10", " ", "values", " ", "of", " ", "the", 
           " ", "lags", " ", "and", " ", "is", " ", "quite", " ", 
           "useful"}]}], ",", " ", 
         RowBox[{
         "\[Delta]\[Delta]t", " ", "has", " ", "the", " ", "actual", " ", 
          "coordinates", " ", "without", " ", "logs"}], ",", " ", 
         RowBox[{
         "points", " ", "is", " ", "the", " ", "total", " ", "number", " ", 
          "of", " ", "lags", " ", "the", " ", "possibility", " ", "that", " ",
           "the", " ", "lag", " ", "is", " ", "exactly", " ", "equal", " ", 
          "to", " ", "the", " ", "size", " ", "of", " ", "the", " ", "system",
           " ", 
          RowBox[{"(", 
           RowBox[{
           "and", " ", "hence", " ", "imply", " ", "a", " ", "subscript", " ",
             "zero"}], ")"}], " ", "is", " ", "avoided", " ", "by", " ", 
          "reducing", " ", "the", " ", "lag", " ", "by", " ", "2", " ", 
          "units", " ", "in", " ", "those", " ", "rare", " ", "special", " ", 
          "cases"}]}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"moms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "qmax", "}"}], ",", 
          RowBox[{"{", "points", "}"}]}], "]"}]}], ",", 
       RowBox[{"(*", 
        RowBox[{
        "initializing", " ", "the", " ", "table", " ", "with", " ", "the", 
         " ", 
         RowBox[{"moments", ":", " ", "moms"}]}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"R", "=", 
            RowBox[{"Accumulate", "[", 
             RowBox[{
              RowBox[{
              "xv", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "-", 
              RowBox[{"Mean", "[", 
               RowBox[{
               "xv", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
               "]"}]}], "]"}]}], ",", 
           RowBox[{"RR", "=", 
            RowBox[{"Reverse", "[", "R", "]"}]}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "the", " ", "reveresed", " ", "series", " ", "to", " ", "get", 
             " ", "better", " ", "large", " ", "lag", " ", "statistics"}], 
            "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"moms", "=", 
            RowBox[{"moms", "+", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Delta]t", "=", 
                  RowBox[{
                  "\[Delta]\[Delta]t", "\[LeftDoubleBracket]", "jj", 
                   "\[RightDoubleBracket]"}]}], ";", 
                 RowBox[{"R\[Delta]t", "=", 
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"R", ",", "\[Delta]t"}], "]"}]}], ";", 
                 RowBox[{"R\[Delta]t12", "=", 
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"R", ",", 
                    RowBox[{"\[Delta]t", "/", "2"}]}], "]"}]}], ";", 
                 RowBox[{"\[Delta]Rx", "=", 
                  RowBox[{"2", " ", 
                   RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"R", "+", "R\[Delta]t", "-", 
                    RowBox[{"2", " ", "R\[Delta]t12"}]}], "]"}], "/", 
                    "\[Delta]t"}]}]}], ";", 
                 RowBox[{"RR\[Delta]t", "=", 
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"RR", ",", "\[Delta]t"}], "]"}]}], ";", 
                 RowBox[{"RR\[Delta]t12", "=", 
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"RR", ",", 
                    RowBox[{"\[Delta]t", "/", "2"}]}], "]"}]}], ";", 
                 RowBox[{"\[Delta]RRx", "=", 
                  RowBox[{"2", "  ", 
                   RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"RR", "+", "RR\[Delta]t", "-", 
                    RowBox[{"2", " ", "RR\[Delta]t12"}]}], "]"}], "/", 
                    "\[Delta]t"}]}]}], ";", 
                 RowBox[{"Mean", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["#1", "Qtab"], "&"}], ")"}], "/@", 
                   RowBox[{"Flatten", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{"\[Delta]Rx", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\[Delta]t", "+", "1"}], ",", "dim", ",", 
                    "\[Delta]t"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Take", "[", 
                    RowBox[{"\[Delta]RRx", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\[Delta]t", "+", "1"}], ",", "dim", ",", 
                    "\[Delta]t"}], "}"}]}], "]"}]}], "}"}], "]"}]}], "]"}]}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "points"}], "}"}]}], "]"}], 
              "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "num"}], "}"}]}], "]"}], ",", 
       RowBox[{"moms", "=", 
        RowBox[{"Log", "[", 
         RowBox[{"10", ",", 
          FractionBox["moms", "num"]}], "]"}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "moms", " ", "has", " ", "the", " ", "logs", " ", "of", " ", "all", 
         " ", "the", " ", "moments", " ", "and", " ", "all", " ", "the", " ", 
         "lags"}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"droppointslow", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"1", ",", 
          RowBox[{"1", "+", "droppointslowpoints"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"droppointshigh", "=", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"droppointslow", "+", "2"}], ",", 
          RowBox[{"points", "-", "droppointshighpoints"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"droppointslow", "=", "1"}], ",", 
         RowBox[{"droppointshigh", "=", "points"}], ",", " ", 
         RowBox[{
         "these", " ", "indicate", " ", "the", " ", "range", " ", "of", " ", 
          "data", " ", "used", " ", "in", " ", "the", " ", "fits", "  ", 
          "All", " ", "the", " ", "code", " ", "below", " ", "is", " ", 
          "purely", " ", "for", " ", "fitting"}], ",", " ", 
         RowBox[{"it", " ", "is", " ", "not", " ", "strictly", " ", 
          RowBox[{"needed", ".", "  ", "In"}], " ", "this", " ", "default", 
          " ", "mode", " ", "all", " ", "points", " ", "between", " ", "the", 
          " ", "smallest", " ", "lag", " ", "1", " ", "and", " ", "largest", 
          " ", "available", " ", "lag", " ", 
          RowBox[{"(", 
           RowBox[{"=", "points"}], ")"}], " ", "are", " ", "taken", " ", 
          "for", " ", 
          RowBox[{"regressions", ".", "  ", "Indeed"}]}], ",", " ", 
         RowBox[{
          RowBox[{
          "the", " ", "fitted", " ", "parameters", " ", "are", " ", "only", 
           " ", "valid", " ", "if", " ", "the", " ", "range", " ", "of", " ", 
           "fitting", " ", "is", " ", "pretty", " ", "linear", " ", "on", " ",
            "a", " ", "log"}], "-", 
          RowBox[{"log", " ", 
           RowBox[{"plot", ".", "  ", "Often"}], " ", "it", " ", "is", " ", 
           "best", " ", "to", " ", "make", " ", "the", " ", "fits", " ", 
           "after", " ", "viewing", " ", "the", " ", "plots"}]}]}], "*)"}], 
       ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"coordcalib", "=", 
        RowBox[{"coord", "+", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "calibcoord"}], "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\< Fits are over the range   \>\"", ",", " ", 
         RowBox[{"10", "^", 
          RowBox[{
          "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
           "\[RightDoubleBracket]"}]}], ",", "\"\<  to  \>\"", ",", 
         RowBox[{"10", "^", 
          RowBox[{
          "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
           "\[RightDoubleBracket]"}]}], ",", " ", 
         "\"\<  in the specified units\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"the", " ", "calibrated", " ", "coordinate"}], "*)"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"inter", ",", "hqneg"}], "}"}], "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"aa", "=", 
             RowBox[{"Fit", "[", 
              RowBox[{
               RowBox[{"Take", "[", 
                RowBox[{
                 RowBox[{"Transpose", "[", 
                  RowBox[{"{", 
                   RowBox[{"coordcalib", ",", 
                    RowBox[{
                    "moms", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{
               RowBox[{
               "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
               "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}], "]"}]}], 
       ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grref", "[", "i", "]"}], "=", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"10", ",", "calib"}], "]"}], "+", 
             RowBox[{
             "inter", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
             "+", 
             RowBox[{
              RowBox[{
              "hqneg", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
               " ", "x1"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{
              "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{
              "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
               "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"gr", "[", "i", "]"}], "=", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coordcalib", ",", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"10", ",", "calib"}], "]"}], "+", 
                RowBox[{
                "moms", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
            RowBox[{"Joined", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Hue", "[", 
                FractionBox["i", "qmax"], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)\
\[CapitalDelta]t\>\"", ",", 
               "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)S(\
\[CapitalDelta]t)\>\""}], "}"}]}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"24", ",", 
               RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], 
              "}"}]}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"grpts", "[", "i", "]"}], "=", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coordcalib", ",", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"10", ",", "calib"}], "]"}], "+", 
                RowBox[{
                "moms", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.008", "]"}], ",", 
               RowBox[{"Hue", "[", 
                FractionBox["i", "qmax"], "]"}]}], "}"}]}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"grout", "=", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"gr", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grpts", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grref", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}]}], 
       ",", 
       RowBox[{"psi", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
            ",", 
            RowBox[{
            "hqneg", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}]}],
            "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grpsi", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"psi", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.75`", "]"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<q\>\"", ",", "\"\<\[Xi](q)\>\""}], "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"ft0", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Append", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0."}], "}"}], "}"}], "}"}], ",", 
              RowBox[{"Take", "[", 
               RowBox[{"psi", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}], ",", "1"}],
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx", ",", 
            SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"psiprime0", "=", 
        RowBox[{
         RowBox[{
         "ft0", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "+", 
         RowBox[{
          RowBox[{
          "ft0", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"ft", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Take", "[", 
           RowBox[{"psi", ",", 
            RowBox[{"{", 
             RowBox[{"9", ",", "13"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx", ",", 
            SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"C1psi", "=", 
        RowBox[{
         RowBox[{"ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
          "-", 
         RowBox[{
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"Hpsi", "=", 
        RowBox[{"ft", "/.", "\[InvisibleSpace]", 
         RowBox[{"xx", "\[Rule]", "1"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<H=   \>\"", ",", "Hpsi"}], "]"}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<the RMS exponent= \[Xi](2)/2= \>\"", ",", 
         RowBox[{
          RowBox[{"psi", "[", 
           RowBox[{"[", 
            RowBox[{"21", ",", "2"}], "]"}], "]"}], "/", "2."}], ",", 
         "\"\<  the difference with H is K(2)/2 = \>\"", ",", 
         RowBox[{
          RowBox[{"psi", "[", 
           RowBox[{"[", 
            RowBox[{"11", ",", "2"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"psi", "[", 
            RowBox[{"[", 
             RowBox[{"21", ",", "2"}], "]"}], "]"}], "/", "2."}]}]}], "]"}], 
       ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<derivative C1=  \>\"", ",", "C1psi"}], "]"}], ",", 
       StyleBox[
        RowBox[{"Kppq1", "=", 
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"\[Alpha]psi", "=", 
         RowBox[{"Kppq1", "/", "C1psi"}]}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"Print", "[", 
         RowBox[{"\"\<\[Alpha] from psipp(1) =  \>\"", ",", "\[Alpha]psi"}], 
         "]"}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox["\[IndentingNewLine]",
        FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "The", " ", "above", " ", "are", " ", "for", " ", "regressions"}], 
         ",", " ", 
         RowBox[{
         "parameter", " ", "estimates", " ", "over", " ", "the", " ", "range",
           " ", "droppointslow"}], ",", "droppointshigh"}], "*)"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"C1data", "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"coordcalib", ",", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", 
              RowBox[{"smooth1D", "[", 
               RowBox[{"10.", "^", 
                RowBox[{"(", 
                 RowBox[{"moms", "[", 
                  RowBox[{"[", "11", "]"}], "]"}], ")"}]}], "]"}]}], "]"}], 
            "-", 
            RowBox[{"5.", 
             RowBox[{"Log", "[", 
              RowBox[{"10", ",", 
               RowBox[{"smooth1D", "[", 
                RowBox[{"10.", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "12", "]"}], "]"}], "-", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ")"}]}], "]"}]}], 
              "]"}]}]}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"grC1", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"C1data", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.99", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SuperscriptBox[\(\[CapitalDelta]t\), SubscriptBox[\(C\), \
\(1\)]]\)\>\""}], "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"grinfo", "=", "grC1"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"aa", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Take", "[", 
           RowBox[{"C1data", ",", 
            RowBox[{"{", 
             RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], ",", 
            "All"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"interC1", ",", "hqnegC1"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
          "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
          RowBox[{
           RowBox[{
           "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "}"}]}], 
       ",", 
       RowBox[{"grC1theory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"interC1", "+", 
           RowBox[{"hqnegC1", " ", "x1"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
             "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
             "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<C1 graph slope method =\>\"", ",", "hqnegC1"}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"grC1theorydata", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grC1", ",", "grC1theory", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"grRMS", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"coordcalib", ",", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{
               RowBox[{"moms", "[", 
                RowBox[{"[", "21", "]"}], "]"}], "/", "2."}]}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.9", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \
\(2\)]\)(\[CapitalDelta]t\!\(\*SuperscriptBox[\()\), \(1/2\)]\)\>\""}], 
            "}"}]}]}], "]"}]}], ",", 
       RowBox[{"grRMSsmooth", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"coordcalib", ",", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", 
                 RowBox[{"smooth1D", "[", 
                  RowBox[{"10", "^", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "21", "]"}], "]"}]}], "]"}]}], "]"}], "/", 
               "2."}]}]}], "}"}], "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Thickness", "[", "0.002", "]"}], ",", 
             RowBox[{"Hue", "[", "0.9", "]"}]}], "}"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \
\(2\)]\)(\[CapitalDelta]t\!\(\*SuperscriptBox[\()\), \(1/2\)]\)\>\""}], 
            "}"}]}]}], "]"}]}], ",", 
       RowBox[{"grcorsmooth", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"coordcalib", ",", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", 
                RowBox[{"smooth1D", "[", 
                 RowBox[{"10", "^", 
                  RowBox[{"moms", "[", 
                   RowBox[{"[", "21", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.1", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(2\)]\)(\[CapitalDelta]t)\>\""}], 
            "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"grboxsmooth", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"coordcalib", ",", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", 
                RowBox[{"smooth1D", "[", 
                 RowBox[{"10", "^", 
                  RowBox[{"moms", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.4", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(0\)]\)(\[CapitalDelta]t)\>\""}], 
            "}"}]}]}], "]"}]}], ",", "\n", "        ", 
       RowBox[{"grq1smooth", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"coordcalib", ",", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", 
                RowBox[{"smooth1D", "[", 
                 RowBox[{"10", "^", 
                  RowBox[{"moms", "[", 
                   RowBox[{"[", "11", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.6", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(1\)]\)(\[CapitalDelta]t)\>\""}], 
            "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"grq1", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"coordcalib", ",", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{"moms", "[", 
               RowBox[{"[", "11", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.6", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(1\)]\)(\[CapitalDelta]t)\>\""}], 
            "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"grtheoryq1", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "calib"}], "]"}], "+", 
           RowBox[{
           "inter", "\[LeftDoubleBracket]", "11", "\[RightDoubleBracket]"}], 
           "+", 
           RowBox[{
            RowBox[{
            "hqneg", "\[LeftDoubleBracket]", "11", "\[RightDoubleBracket]"}], 
            " ", "x1"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
             "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
             "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"grtheorydataq1", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grq1smooth", ",", "grtheoryq1"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"grtheoryRMS", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "calib"}], "]"}], "+", 
           RowBox[{
            RowBox[{
            "inter", "\[LeftDoubleBracket]", "21", "\[RightDoubleBracket]"}], 
            "/", "2"}], "+", 
           RowBox[{
            RowBox[{
            "hqneg", "\[LeftDoubleBracket]", "21", "\[RightDoubleBracket]"}], 
            " ", 
            RowBox[{"x1", "/", "2"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
             "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
             "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"grtheorydataRMS", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grRMSsmooth", ",", "grtheoryRMS", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"grallsmooth", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grq1smooth", ",", "grRMSsmooth", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       RowBox[{"grall", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grq1", ",", "grRMS", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       RowBox[{"gralldatatheory", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grtheorydataq1", ",", "grtheorydataRMS", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Kppdata", "=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"coordcalib", ",", 
           RowBox[{
            RowBox[{"-", "25."}], 
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", 
              RowBox[{"smooth1D", "[", 
               RowBox[{"10.", "^", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"moms", "[", 
                   RowBox[{"[", "13", "]"}], "]"}], "+", 
                  RowBox[{"moms", "[", 
                   RowBox[{"[", "9", "]"}], "]"}], "-", 
                  RowBox[{"2", " ", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "11", "]"}], "]"}]}]}], ")"}]}], "]"}]}], 
             "]"}]}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"note", " ", "-", 
         RowBox[{
         "ve", " ", "sign", " ", "since", " ", "second", " ", "derivative", 
          " ", "of", " ", "psi", " ", "is", " ", "estimated"}]}], "*)"}], ",",
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"grKppsmooth", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"Kppdata", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.75", "]"}]}], ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
             RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SuperscriptBox[\(\[CapitalDelta]t\), \(K'' \
\((1)\)\)]\)\>\""}], "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aaKpp", "=", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Take", "[", 
            RowBox[{"Kppdata", ",", 
             RowBox[{"{", 
              RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], ",", 
             "All"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"interKpp", ",", "hqnegKpp"}], "}"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "aaKpp", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
            RowBox[{
            "aaKpp", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
          "}"}]}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<alpha from graph slope = \>\"", ",", 
         RowBox[{"hqnegKpp", "/", "hqnegC1"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"grKpptheory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"interKpp", "+", 
           RowBox[{"hqnegKpp", " ", "x1"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
             "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
             "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"grKpptheorydata", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grKppsmooth", ",", "grKpptheory", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"grallC1Kpp", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grC1theorydata", ",", "grKpptheorydata"}], "]"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{
         "the", " ", "above", " ", "make", " ", "various", " ", "useful", " ", 
          RowBox[{"graphs", ".", "  ", "The"}], " ", "RMS", " ", 
          RowBox[{"(", 
           RowBox[{"root", " ", "mean", " ", "square"}], ")"}], " ", 
          "grRMS"}], ",", " ", 
         RowBox[{
         "can", " ", "be", " ", "compared", " ", "with", " ", "the", " ", 
          "first", " ", "order", " ", 
          RowBox[{"(", 
           RowBox[{"q", "=", "1"}], ")"}], " ", "graph"}], ",", " ", 
         RowBox[{
          RowBox[{"grq1", " ", 
           RowBox[{"(", 
            RowBox[{"together", ",", "grall"}], ")"}]}], " ", ";", " ", 
          RowBox[{
           RowBox[{
           "any", " ", "divergence", " ", "between", " ", "them", " ", 
            "indicates", " ", 
            RowBox[{"intermittency", ".", "  ", "This"}], " ", "is", " ", 
            "more", " ", "precisely", " ", "estimated", " ", "by", " ", "the",
             " ", "graph", " ", "grC1", " ", "whose", " ", "logarithmic", " ",
             "slope", " ", "is", " ", 
            RowBox[{"C1", ".", "  ", "There"}], " ", "is", " ", "also", " ", 
            "a", " ", "choice", " ", "of", " ", "smoothed", " ", "or", " ", 
            "unsmoothed", " ", 
            RowBox[{"moments", ".", "  ", "Smoothing"}], " ", "is", " ", 
            "often", " ", "justified", " ", "for", " ", "single", " ", 
            "series", " ", "since", " ", "the", " ", "statistics", " ", "at", 
            " ", "20", " ", "lages", " ", "per", " ", "order", " ", "of", " ",
             "magnitude", " ", "are", " ", "often", " ", 
            RowBox[{"poor", ".", " ", "grKppsmooth"}], " ", "gives", " ", "a",
             " ", "curve", " ", "whose", " ", "logarithmic", " ", "slope", 
            " ", "is", " ", "an", " ", "estimate", " ", "of", " ", "the", " ",
             "second", " ", "derivative", " ", "of", " ", "K", 
            RowBox[{"(", "q", ")"}], " ", "at", " ", "q"}], "=", 
           RowBox[{
           "1.", "  ", "This", " ", "is", " ", "C1", " ", "alpha"}]}]}], ",", 
         " ", 
         RowBox[{
         "hence", " ", "it", " ", "can", " ", "be", " ", "used", " ", "to", 
          " ", "esitmate", " ", 
          RowBox[{"alpha", "."}]}]}], "*)"}], " ", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
           "The", " ", "main", " ", "useful", " ", "graphs", " ", "are", " ", 
            "gralldatatheory", " ", "which", " ", "has", " ", "RMS", " ", 
            RowBox[{"(", 
             RowBox[{"top", ",", "magenta"}], ")"}], " ", "and", " ", "q"}], 
           "=", 
           RowBox[{"1", " ", 
            RowBox[{"(", 
             RowBox[{"bottom", ",", " ", "cyan"}], ")"}], " ", "data", " ", 
            "with", " ", "regressions"}]}], ",", " ", 
          RowBox[{
          "and", " ", "grallC1Kpp", " ", "which", " ", "has", " ", "the", " ",
            "C1", " ", "estimation", " ", "graph", " ", 
           RowBox[{"(", "red", ")"}], "  ", "with", " ", "regression", " ", 
           "and", " ", "the", " ", "second", " ", "derivative", " ", "of", 
           " ", "K", " ", "grpaph", " ", "with", " ", "regression", " ", 
           RowBox[{"(", "purple", ")"}]}]}], "*)"}],
        FontColor->RGBColor[1, 0, 1]], 
       StyleBox[",",
        FontColor->RGBColor[1, 0, 1]], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"grschmitt", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                 "psi", "\[LeftDoubleBracket]", "q", 
                  "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                   "\[RightDoubleBracket]"}], " ", "psiprime0"}], "-", 
                 RowBox[{
                  RowBox[{
                  "psi", "\[LeftDoubleBracket]", "q", 
                   "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.9`", "]"}]}]}], "]"}]}], ",", 
       RowBox[{"alph", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                 "psi", "\[LeftDoubleBracket]", "q", 
                  "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                   "\[RightDoubleBracket]"}], " ", "psiprime0"}], "-", 
                 RowBox[{
                  RowBox[{
                  "psi", "\[LeftDoubleBracket]", "q", 
                   "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx"}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<Schmitt \[Alpha]=  \>\"", ",", 
         RowBox[{
          RowBox[{
          "alph", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "]"}], 
       ",", 
       RowBox[{"grschmitttheory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"alph", "/.", "\[InvisibleSpace]", 
           RowBox[{"xx", "\[Rule]", "xxx"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"xxx", ",", 
            RowBox[{"-", "1.`"}], ",", "0.5`"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grschmitttall", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grschmitttheory", ",", "grschmitt"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "this", " ", "uese", " ", "the", " ", "second", " ", "derivative", 
          " ", "of", " ", "psi", 
          RowBox[{"(", "q", ")"}], " ", "at", " ", "q"}], "=", 
         RowBox[{
          RowBox[{"0", " ", "to", " ", "estimate", " ", 
           RowBox[{"alpha", ".", "  ", "Only"}], " ", "valid", " ", "for", 
           " ", "alpha"}], ">", "1"}]}], "*)"}], ","}], "\[IndentingNewLine]",
       "}"}], ";", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Show", "[", "gralldatatheory", "]"}], ",", 
       RowBox[{"Show", "[", "grallC1Kpp", "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4480427912031527`*^9, 3.448042819358981*^9}, 
   3.448042931981147*^9, {3.4487331674307137`*^9, 3.448733169388729*^9}, {
   3.448733239444171*^9, 3.448733261023294*^9}, {3.448733381395746*^9, 
   3.448733385803974*^9}, 3.4507208831105547`*^9, 3.4507209143296022`*^9, 
   3.450720968589431*^9, {3.450721156007991*^9, 3.4507211846320543`*^9}, 
   3.465258481021611*^9, 3.465258874600177*^9, {3.465259867355673*^9, 
   3.465259867569932*^9}, 3.465659534431787*^9, {3.4656596839505253`*^9, 
   3.4656596841012783`*^9}, {3.494603232709182*^9, 3.494603282592822*^9}, {
   3.494603332314044*^9, 3.494603332616975*^9}, {3.494628523775504*^9, 
   3.49462865489217*^9}, 3.49462884121805*^9, {3.496133991386333*^9, 
   3.4961340098605413`*^9}, {3.5097169764056797`*^9, 3.509716989490604*^9}, 
   3.509805965369609*^9, {3.509806329510352*^9, 3.5098063322411623`*^9}, {
   3.5098305700274897`*^9, 3.509830587450284*^9}, 3.5098308007311697`*^9, {
   3.5098309099282103`*^9, 3.5098309126669483`*^9}, {3.509883642935465*^9, 
   3.509883661665537*^9}, {3.509884054627775*^9, 3.509884081946213*^9}, 
   3.5098841333666143`*^9, {3.50988425293643*^9, 3.509884295568272*^9}, {
   3.509884445174024*^9, 3.509884449406238*^9}, {3.509884512185874*^9, 
   3.509884512654612*^9}, {3.5104179839742737`*^9, 3.5104179849378023`*^9}, {
   3.510418082690132*^9, 3.510418086288168*^9}, {3.511767823399469*^9, 
   3.511767832028404*^9}, {3.511767864095492*^9, 3.511767889524372*^9}, {
   3.511767920214139*^9, 3.511767943710956*^9}, {3.511767995763852*^9, 
   3.511768012289687*^9}, {3.511769378265197*^9, 3.5117693815320377`*^9}, {
   3.511777281507502*^9, 3.511777282100025*^9}, {3.512558386410797*^9, 
   3.512558396539095*^9}, 3.515178572594208*^9, 3.515179316436267*^9, {
   3.516200106239298*^9, 3.5162001254444637`*^9}, {3.516200267058713*^9, 
   3.516200375150337*^9}, {3.516200430607279*^9, 3.516200431049032*^9}, 
   3.516200485347692*^9, {3.5238012831548986`*^9, 3.523801303984603*^9}, {
   3.523802318717248*^9, 3.52380232365907*^9}, {3.523802518425643*^9, 
   3.523802520631576*^9}, {3.535712920542882*^9, 3.5357129233085337`*^9}, {
   3.545491163238039*^9, 3.545491163830097*^9}, {3.5454912083561077`*^9, 
   3.5454913157949944`*^9}, {3.545491664921956*^9, 3.545491710952518*^9}, {
   3.545491744216445*^9, 3.545491877927411*^9}, {3.545492456203032*^9, 
   3.5454925508844013`*^9}, {3.545496540844556*^9, 3.545496614092341*^9}, {
   3.545496750385674*^9, 3.54549677156695*^9}, 3.545497329612501*^9, {
   3.545566573497658*^9, 3.545566665147881*^9}, {3.5492072694219027`*^9, 
   3.549207287596923*^9}, {3.549211240357463*^9, 3.5492113058677197`*^9}, {
   3.549211432750392*^9, 3.549211436007517*^9}, {3.5492688359092484`*^9, 
   3.549269314889327*^9}, {3.5492693603019657`*^9, 3.549269360903458*^9}, {
   3.549269400293889*^9, 3.549269404732131*^9}, {3.5492694548836803`*^9, 
   3.549269506011179*^9}, {3.549269644284975*^9, 3.5492697720361567`*^9}, 
   3.5492699717899942`*^9, {3.549270061710093*^9, 3.549270100877644*^9}, {
   3.549270206664152*^9, 3.549270255560546*^9}, {3.5492703302132463`*^9, 
   3.549270637383151*^9}, {3.549274148910466*^9, 3.549274159682725*^9}, {
   3.549274240072187*^9, 3.549274532752565*^9}, {3.549274604615985*^9, 
   3.549274637586808*^9}, {3.5492747229300537`*^9, 3.549274787838605*^9}, {
   3.5492748318717318`*^9, 3.549274902775447*^9}, {3.5492749587807426`*^9, 
   3.549275085631785*^9}, {3.549275180231496*^9, 3.54927520861362*^9}, {
   3.5498920003789377`*^9, 3.549892025031979*^9}, {3.549892144820887*^9, 
   3.5498921713566017`*^9}, 3.5498922229474173`*^9, {3.5498922858779593`*^9, 
   3.549892301383436*^9}, {3.549892509847134*^9, 3.5498925202096233`*^9}, {
   3.5498925514573727`*^9, 3.549892583051572*^9}, {3.5498926305692253`*^9, 
   3.549892632826285*^9}, {3.549892684980788*^9, 3.549892691024082*^9}, {
   3.549892737762456*^9, 3.549892744460622*^9}, {3.549892805383493*^9, 
   3.549892853105219*^9}, {3.5498928865571823`*^9, 3.549892903206935*^9}, {
   3.5498929449277887`*^9, 3.549893005319644*^9}, {3.549893102009885*^9, 
   3.549893118780508*^9}, {3.549893390966765*^9, 3.549893476536435*^9}, {
   3.549893549534285*^9, 3.549893559739986*^9}, {3.549893628292317*^9, 
   3.549893628417582*^9}, {3.549893765966815*^9, 3.549893835845044*^9}, {
   3.54989395798805*^9, 3.54989402045325*^9}, {3.5498940731242857`*^9, 
   3.5498941619049377`*^9}, {3.549894247957881*^9, 3.549894298123561*^9}, {
   3.549894386001274*^9, 3.549894392570565*^9}, {3.549894610500698*^9, 
   3.5498946533152027`*^9}, 3.5498947116883297`*^9, 3.549895770394472*^9, {
   3.549895802749631*^9, 3.54989585432897*^9}, {3.549896050660351*^9, 
   3.549896091273823*^9}, {3.549896146783003*^9, 3.549896255904664*^9}, {
   3.5498963336411448`*^9, 3.5498964338374863`*^9}, {3.54989649686615*^9, 
   3.549896521617341*^9}, {3.5498965565626087`*^9, 3.549896598643436*^9}, {
   3.5498969456326733`*^9, 3.549897046185017*^9}, {3.549897182465028*^9, 
   3.54989718668931*^9}, {3.549897222530479*^9, 3.5498972911145897`*^9}, {
   3.549897381580509*^9, 3.5498974047903023`*^9}, {3.54989744744715*^9, 
   3.5498974517276297`*^9}, {3.549897560061207*^9, 3.549897570370346*^9}, {
   3.5498990008923492`*^9, 3.5498990200492163`*^9}, {3.549899131948064*^9, 
   3.5498991375379972`*^9}, {3.549899234463488*^9, 3.5498992540023937`*^9}, {
   3.549899296585634*^9, 3.549899299160077*^9}, {3.5498993302419024`*^9, 
   3.549899380029818*^9}, {3.5498997088479*^9, 3.549899709434947*^9}, 
   3.549900008617799*^9, {3.54990006919608*^9, 3.5499000717129297`*^9}, {
   3.549900124151032*^9, 3.549900248953401*^9}, {3.549900305002871*^9, 
   3.549900347167873*^9}, {3.5499004049416103`*^9, 3.549900429646051*^9}, 
   3.549900488720838*^9, {3.549900537516428*^9, 3.549900627828899*^9}, {
   3.549900658291115*^9, 3.5499006678478518`*^9}, {3.549900707339823*^9, 
   3.549900708234333*^9}, {3.5499007463206787`*^9, 3.549900774381537*^9}, {
   3.5499008059286547`*^9, 3.549900838181694*^9}, {3.5499008940187197`*^9, 
   3.549900931927663*^9}, {3.549900980802791*^9, 3.5499010807332163`*^9}, {
   3.5499011935335293`*^9, 3.54990124037094*^9}, {3.549901380701292*^9, 
   3.549901529730755*^9}, 3.54990161952032*^9, {3.549901650168274*^9, 
   3.549901723557456*^9}, {3.549985387781494*^9, 3.549985435800522*^9}, {
   3.549989498953293*^9, 3.549989510322383*^9}, {3.549989543440538*^9, 
   3.549989563582552*^9}, {3.551457746158594*^9, 3.551457750454702*^9}, {
   3.5514586526130667`*^9, 3.551458662644116*^9}, {3.551458773432439*^9, 
   3.551458780391108*^9}, {3.551458823598402*^9, 3.5514588251090403`*^9}, {
   3.551459863741314*^9, 3.551459880106761*^9}, {3.552049244229841*^9, 
   3.552049247620648*^9}, {3.552052455577174*^9, 3.552052485422526*^9}, {
   3.552052790262224*^9, 3.552052866434765*^9}, {3.5520529102231913`*^9, 
   3.552052970515226*^9}, {3.552053085264536*^9, 3.55205310359247*^9}, {
   3.552053588082432*^9, 3.552053595644957*^9}, {3.552054580397604*^9, 
   3.552054584650226*^9}, {3.55205660017391*^9, 3.552056610114192*^9}, {
   3.552056642437787*^9, 3.552056645884075*^9}, 3.552056904337049*^9, {
   3.552056956229024*^9, 3.552056959108941*^9}, {3.552057433895162*^9, 
   3.552057520984964*^9}, {3.552058458048712*^9, 3.552058681933097*^9}, {
   3.5520595856066*^9, 3.552059635731262*^9}, {3.552060521359734*^9, 
   3.552060521853236*^9}, {3.552060879031975*^9, 3.552060911891637*^9}, {
   3.552231467963703*^9, 3.552231538309222*^9}, {3.580513939862318*^9, 
   3.580513957958198*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Fluxall", "[", 
   RowBox[{"series_", ",", "switch_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "ff", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ff", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"switch", "\[Equal]", "0"}], ",", "series", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"switch", "\[Equal]", "1"}], ",", 
           RowBox[{"Flux", "[", "series", "]"}], ",", 
           RowBox[{"Flux2nd", "[", "series", "]"}]}], "]"}]}], "]"}]}], "}"}],
      ";", "ff"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.552049472231915*^9, 3.552049494686076*^9}, {
  3.5520495278742437`*^9, 3.552049548469512*^9}, {3.5520496604887*^9, 
  3.5520496894339647`*^9}, {3.55204974510752*^9, 3.5520497544705877`*^9}, {
  3.5520519481191263`*^9, 3.552051950903409*^9}, {3.552051989308146*^9, 
  3.552052053599551*^9}, {3.552052095675317*^9, 3.552052095955256*^9}, {
  3.552052175782452*^9, 3.5520521760057*^9}}],

Cell["\<\
this uses either nothing (switch = 0), first difs (switch = 1, or second \
differences (switch any else)\
\>", "Text",
 CellChangeTimes->{3.55205219656499*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Flux", "[", "field_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"absfield", ",", "lam"}], "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", "lam", "}"}], "=", 
        RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
       RowBox[{"absfield", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"field", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "-", 
            RowBox[{"field", "[", 
             RowBox[{"[", 
              RowBox[{"i", "-", "1"}], "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "2", ",", "lam"}], "}"}]}], "]"}]}]}], "}"}], 
     ";", 
     RowBox[{"Prepend", "[", 
      RowBox[{"absfield", ",", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"field", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "-", 
         RowBox[{"field", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
   "]"}]}]], "Input"],

Cell["\<\
this uses a numerical approximation to the absolute first  difference ...  to \
keep the length fixed, the first element is doubled.\
\>", "Text",
 CellChangeTimes->{3.5520522443026657`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Flux2nd", "[", "field_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"absfield", ",", "lam"}], "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", "lam", "}"}], "=", 
        RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
       RowBox[{"absfield", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"field", "[", 
              RowBox[{"[", 
               RowBox[{"i", "-", "1"}], "]"}], "]"}], "-", 
             RowBox[{"2", " ", 
              RowBox[{"field", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "+", 
             RowBox[{"field", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], "/", "2."}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "2", ",", 
            RowBox[{"lam", "-", "1"}]}], "}"}]}], "]"}]}], ",", 
       RowBox[{"first", "=", 
        RowBox[{"absfield", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"last", "=", 
        RowBox[{"absfield", "[", 
         RowBox[{"[", 
          RowBox[{"lam", "-", "2"}], "]"}], "]"}]}]}], "}"}], ";", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Prepend", "[", 
        RowBox[{"absfield", ",", "first"}], "]"}], ",", "last"}], "]"}]}]}], 
   "]"}]}]], "Input"],

Cell["\<\
this uses a numerical approximation to the absolute second difference rather \
than first difference...  to keep the length fixed, the first element is \
doubled as is the last.\
\>", "Text",
 CellChangeTimes->{3.5520522754539537`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Window1D", "[", "field_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "lamx", "}"}], "=", 
       RowBox[{"Dimensions", "[", "field", "]"}]}], "}"}], ";", 
     RowBox[{"field", "  ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"Cos", "[", 
            RowBox[{"2", " ", "Pi", " ", 
             RowBox[{"ix", "/", 
              RowBox[{"(", 
               RowBox[{"lamx", "-", "1"}], ")"}]}]}], "]"}]}], ")"}], "  ", 
         "/", "2."}], ",", 
        RowBox[{"{", 
         RowBox[{"ix", ",", "0", ",", 
          RowBox[{"lamx", "-", "1"}]}], "}"}]}], "]"}]}]}]}], 
   "]"}]}]], "Input"],

Cell["\<\
1D:   this multiplies by the window for the Spectrum.  This is a Hann window.\
\>", "Text",
 CellChangeTimes->{{3.5504263636256037`*^9, 3.5504263830165453`*^9}, {
  3.550426439471446*^9, 3.550426440414741*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Degrade", "[", 
   RowBox[{"field_", ",", "fac_"}], "]"}], ":=", 
  RowBox[{"Mean", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Partition", "[", 
     RowBox[{"field", ",", "fac"}], "]"}], "]"}], "]"}]}]], "Input"],

Cell["\<\
this degrades by factor fac. It is for a 1D field\
\>", "Text",
 CellChangeTimes->{{3.552052409383827*^9, 3.55205241838132*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SpecAverage1D", "[", 
   RowBox[{"field_", ",", "deltatunits_"}], "]"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "this", " ", "adjusts", " ", "the", " ", "freqeuncy", " ", "axis", " ", 
     "so", " ", "that", " ", "the", " ", "units", " ", "are", " ", 
     "correct"}], ",", " ", 
    RowBox[{
    "deltatunits", " ", "per", " ", "data", " ", "point", " ", "input", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"i", ".", "e", "."}], " ", "=", " ", 
       RowBox[{"resolution", " ", "of", " ", "input", " ", "series"}]}], 
      ")"}]}]}], "*)"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"beta", "=", "0."}], ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "beta", " ", "is", " ", "the", " ", "compensating", " ", 
          "exponent"}], ",", " ", 
         RowBox[{"default", "=", 
          RowBox[{"0.", " ", "For", " ", "example"}]}], ",", " ", 
         RowBox[{
          RowBox[{"putting", " ", "beta"}], "=", 
          RowBox[{"2", " ", "will", " ", "multiply", " ", "by", " ", 
           RowBox[{"\[Omega]", "^", "2"}]}]}]}], "*)"}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"num", ",", "lamall"}], "}"}], "=", 
        RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
       RowBox[{"lam", "=", 
        RowBox[{"2", " ", 
         RowBox[{"IntegerPart", "[", 
          RowBox[{"lamall", "/", "2."}], "]"}]}]}], ",", 
       RowBox[{"mnn", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Mean", "[", 
           RowBox[{"field", "[", 
            RowBox[{"[", "jj", "]"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"jj", ",", "1", ",", "num"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"ftab", "=", 
        RowBox[{
         RowBox[{"Mean", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Abs", "[", 
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{"Fourier", "[", 
                RowBox[{"Window1D", "[", 
                 RowBox[{
                  RowBox[{"field", "[", 
                   RowBox[{"[", "kk", "]"}], "]"}], "-", 
                  RowBox[{"mnn", "[", 
                   RowBox[{"[", "kk", "]"}], "]"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", 
                 RowBox[{
                  RowBox[{"lam", "/", "2"}], "+", "1"}]}], "}"}]}], "]"}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"kk", ",", "1", ",", "num"}], "}"}]}], "]"}], "]"}], "/", 
         RowBox[{"lam", "^", 
          RowBox[{"(", 
           RowBox[{"1", "/", "2"}], ")"}]}]}]}], ",", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"note", " ", "normalization", " ", "by", " ", 
           RowBox[{"lam", "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}]}]}], ",", " ", 
          RowBox[{
          "this", " ", "normalization", " ", "allows", " ", "the", " ", 
           "mean", " ", "Fourier", " ", "variance", " ", "to", " ", "equal", 
           " ", "the", " ", "real", " ", "space", " ", "variance"}]}], "*)"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       RowBox[{"spectable", 
        StyleBox["=",
         FontColor->GrayLevel[0]], 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", "i"}], "]"}], ",", " ", 
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", 
              RowBox[{
               RowBox[{"i", "^", 
                RowBox[{"(", "beta", ")"}]}], " ", 
               RowBox[{
                RowBox[{"ftab", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "^", "2"}]}]}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"lam", "/", "2"}]}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grspectable", 
        StyleBox["=",
         FontColor->GrayLevel[0]], 
        RowBox[{
         StyleBox["ListPlot",
          FontColor->GrayLevel[0]], 
         StyleBox["[",
          FontColor->GrayLevel[0]], 
         RowBox[{"spectable", 
          StyleBox[",",
           FontColor->GrayLevel[0]], 
          RowBox[{
           StyleBox["Joined",
            FontColor->GrayLevel[0]], 
           StyleBox["\[Rule]",
            FontColor->GrayLevel[0]], "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Hue", "[", "0.6", "]"}], ",", 
             RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)\[Omega]\>\"", ",", 
             "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)E(\[Omega])\>\""}], 
            "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"calib", "=", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Log", "[", 
           RowBox[{"10", ",", "deltatunits"}], "]"}]}], "-", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", "lamall"}], "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"coor", ",", "spp"}], "}"}], "=", 
        RowBox[{"Transpose", "[", "spectable", "]"}]}], ",", 
       RowBox[{"len", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "spectable", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"mx", "=", 
        RowBox[{
         RowBox[{"IntegerPart", "[", 
          RowBox[{"10", " ", 
           RowBox[{"Log", "[", 
            RowBox[{"10.", ",", "len"}], "]"}]}], "]"}], "+", "1"}]}], ",", 
       RowBox[{"spave", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"{", 
           RowBox[{"ij", ",", "1", ",", "mx"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"numm", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0.", ",", 
          RowBox[{"{", 
           RowBox[{"ij", ",", "1", ",", "mx"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ij", "=", 
            RowBox[{
             RowBox[{"IntegerPart", "[", 
              RowBox[{"10", " ", 
               RowBox[{"Log", "[", 
                RowBox[{"10.", ",", "i"}], "]"}]}], "]"}], "+", "1"}]}], ",", 
           RowBox[{
            RowBox[{"spave", "[", 
             RowBox[{"[", "ij", "]"}], "]"}], "=", 
            RowBox[{
             RowBox[{"spave", "[", 
              RowBox[{"[", "ij", "]"}], "]"}], "+", 
             RowBox[{"10.", "^", 
              RowBox[{"spp", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}]}]}], ",", 
           RowBox[{
            RowBox[{"numm", "[", 
             RowBox[{"[", "ij", "]"}], "]"}], "=", 
            RowBox[{
             RowBox[{"numm", "[", 
              RowBox[{"[", "ij", "]"}], "]"}], "+", "1."}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "len"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"cor", "[", "ij", "]"}], "=", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"10", ",", "ij"}], "]"}], "+", "calib"}]}], ",", 
           RowBox[{
            RowBox[{"spave", "[", 
             RowBox[{"[", "ij", "]"}], "]"}], "=", 
            RowBox[{"spp", "[", 
             RowBox[{"[", "ij", "]"}], "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ij", ",", "1", ",", "9"}], "}"}]}], "]"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"cor", "[", "ij", "]"}], "=", 
            RowBox[{
             RowBox[{"-", "0.1"}], "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", "ij", ")"}], "/", "10."}], ")"}], "  ", "+", 
             "calib"}]}], ",", 
           RowBox[{
            RowBox[{"spave", "[", 
             RowBox[{"[", "ij", "]"}], "]"}], "=", 
            RowBox[{"Log", "[", 
             RowBox[{"10.", ",", 
              RowBox[{
               RowBox[{"spave", "[", 
                RowBox[{"[", "ij", "]"}], "]"}], "/", 
               RowBox[{"numm", "[", 
                RowBox[{"[", "ij", "]"}], "]"}]}]}], "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ij", ",", "10", ",", "mx"}], "}"}]}], "]"}], ",", 
       RowBox[{"spoutave", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"cor", "[", "ij", "]"}], ",", 
            RowBox[{"spave", "[", 
             RowBox[{"[", "ij", "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"ij", ",", "1", ",", "mx"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"spoutave", "=", 
        RowBox[{"Drop", "[", 
         RowBox[{"spoutave", ",", 
          RowBox[{"{", 
           RowBox[{"10", ",", "10"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grspectave", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"spoutave", ",", 
          RowBox[{
           StyleBox["Joined",
            FontColor->GrayLevel[0]], 
           StyleBox["\[Rule]",
            FontColor->GrayLevel[0]], "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Hue", "[", "0.1", "]"}], ",", 
             RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)\[Omega]\>\"", ",", 
             "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)E(\[Omega])\>\""}], 
            "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", 
       RowBox[{"grspectavepoints", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"spoutave", ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
             RowBox[{"Hue", "[", "0.1", "]"}], ",", 
             RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)\[Omega]\>\"", ",", 
             "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)E(\[Omega])\>\""}], 
            "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", 
       RowBox[{"grspecraw", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"coor", "+", "calib"}], ",", "spp"}], "}"}], "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Hue", "[", "0.75", "]"}], ",", 
             RowBox[{"Thickness", "[", "0.002", "]"}]}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)\[Omega]\>\"", ",", 
             "\"\<\!\(\*SubscriptBox[\(Log\), \(10\)]\)E(\[Omega])\>\""}], 
            "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", 
       RowBox[{"grout", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grspecraw", ",", "grspectave", ",", "grspectavepoints"}], 
         "]"}]}]}], "}"}], ";", "grout"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4936325234092903`*^9, 3.493632527159494*^9}, {
   3.493632588254015*^9, 3.493632615113369*^9}, {3.493632656260572*^9, 
   3.493632754325754*^9}, {3.493632791702827*^9, 3.4936327920747213`*^9}, {
   3.493632857777731*^9, 3.493632893064185*^9}, {3.493633390450056*^9, 
   3.493633432856621*^9}, {3.4936335057626*^9, 3.493633509802887*^9}, 
   3.493633568540032*^9, {3.493633679928286*^9, 3.4936336836448097`*^9}, {
   3.49363379633523*^9, 3.4936338500391397`*^9}, {3.5504242033291473`*^9, 
   3.550424217804061*^9}, {3.550424257211583*^9, 3.550424293356593*^9}, 
   3.5504243234337*^9, {3.550424357933003*^9, 3.550424432767301*^9}, {
   3.550424606898994*^9, 3.5504246349767923`*^9}, {3.550424713080257*^9, 
   3.550424736386463*^9}, {3.550425902284526*^9, 3.550426011381126*^9}, {
   3.552053161900127*^9, 3.552053190267214*^9}, {3.552054683300241*^9, 
   3.552054707173864*^9}, {3.5520547470827436`*^9, 3.552054810131728*^9}, {
   3.552054874963922*^9, 3.552054887678616*^9}, {3.552055507799335*^9, 
   3.552055515198772*^9}, {3.5520578230637693`*^9, 3.5520578335826197`*^9}, {
   3.552059656009893*^9, 3.552059690112406*^9}, {3.5523996667906303`*^9, 
   3.552399670301643*^9}, {3.619974660074724*^9, 3.619974662796714*^9}, {
   3.619974901639476*^9, 3.619974908692409*^9}}],

Cell["\<\
This first takes the ensemble average of spectrum of 1D series by treating \
each row of a 2D field as a separate series, removing the average for each.  \
If a single series is used, the 1-D array input should be made between \
brackets: \[OpenCurlyDoubleQuote]{}\[CloseCurlyDoubleQuote]. It then produces \
a spectra averaged over 10 bins per order of magnitude (except for the lowest \
factor of 10 where all the frequencies are used). Bug.fixed 17.9.14.
The values are in the array spectable.  The graph grout compares the actual \
specrum with the spectrum averaged over 10 logarithmically spaced wavenumber \
bins, grspectave.\
\>", "Text",
 CellChangeTimes->{{3.493634280710458*^9, 3.493634301453991*^9}, {
   3.5504247915708323`*^9, 3.5504248286728287`*^9}, {3.550425501375917*^9, 
   3.55042556797401*^9}, {3.5520525915240583`*^9, 3.552052602969246*^9}, 
   3.552054638409775*^9, {3.552055520771592*^9, 3.552055564066353*^9}, {
   3.619974666381955*^9, 3.6199746737243023`*^9}, {3.619974911044482*^9, 
   3.619975009067588*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Detrenddrop", "[", 
   RowBox[{"data_", ",", "drop_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", "ddim", "}"}], "=", 
        RowBox[{"Dimensions", "[", "data", "]"}]}], ",", 
       RowBox[{"mntest", "=", 
        RowBox[{"Mean", "[", 
         RowBox[{"N", "[", "data", "]"}], "]"}]}], ",", 
       RowBox[{"ftest", "=", 
        RowBox[{"Fourier", "[", 
         RowBox[{"N", "[", 
          RowBox[{"data", "-", "mntest"}], "]"}], "]"}]}], ",", 
       RowBox[{"modftest", "=", 
        RowBox[{"Abs", "[", "ftest", "]"}]}], ",", 
       RowBox[{"posmax", "=", 
        RowBox[{"Flatten", "[", 
         RowBox[{"Position", "[", 
          RowBox[{"modftest", ",", 
           RowBox[{"Max", "[", 
            RowBox[{"Drop", "[", 
             RowBox[{
              RowBox[{"Drop", "[", 
               RowBox[{"modftest", ",", 
                RowBox[{"drop", "+", "1"}]}], "]"}], ",", 
              RowBox[{"-", "drop"}]}], "]"}], "]"}]}], "]"}], "]"}]}], ",", 
       RowBox[{"index1", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"posmax", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "2"}], ",", "3", ",", 
          
          RowBox[{"posmax", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"index2", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"posmax", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "ddim"}], ",", 
          RowBox[{"ddim", "-", "1"}], ",", 
          RowBox[{"posmax", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"ftest", "[", 
         RowBox[{"[", "index1", "]"}], "]"}], "=", 
        RowBox[{"ftest", "[", 
         RowBox[{"[", 
          RowBox[{"index1", "-", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"ftest", "[", 
         RowBox[{"[", "index2", "]"}], "]"}], "=", 
        RowBox[{"ftest", "[", 
         RowBox[{"[", 
          RowBox[{"index2", "+", "1"}], "]"}], "]"}]}]}], "}"}], ";", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"Chop", "[", 
        RowBox[{"InverseFourier", "[", "ftest", "]"}], "]"}], "]"}], "+", 
      "mntest"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4945022568341208`*^9, 3.494502260618844*^9}, {
  3.494502312035335*^9, 3.494502315342297*^9}, {3.4945023610910797`*^9, 
  3.494502363511415*^9}, {3.494502549039865*^9, 3.494502552366971*^9}, {
  3.494502848875794*^9, 3.494503022575704*^9}, {3.494601092779196*^9, 
  3.4946011228924932`*^9}, {3.494601660119809*^9, 3.494601703077302*^9}}],

Cell["\<\
The above detrends signals with strong periodicities, takes the maximum in \
fourier space only, sets it transform equal to neighbouring values.  It looks \
for trends after dropping the first \[OpenCurlyDoubleQuote]drop\
\[CloseCurlyDoubleQuote] fourier coefficients.\
\>", "Text",
 CellChangeTimes->{{3.443830696101939*^9, 3.443830740869738*^9}, {
   3.494503061719665*^9, 3.4945030647817707`*^9}, {3.494503096360214*^9, 
   3.494503098988556*^9}, 3.550425600436729*^9, {3.5520526105203247`*^9, 
   3.552052635424098*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ProbDistLogLogDelta", "[", 
   RowBox[{
   "field_", ",", "bins_", ",", "\[CapitalDelta]x_", ",", "fitregime_"}], 
   "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{
         "bins", " ", "is", " ", "the", " ", "number", " ", "of", " ", 
          "histogram", " ", "bins", " ", "for", " ", "eac", " ", "unit", " ", 
          "of", " ", "the", " ", 
          RowBox[{"data", ".", "  ", "For"}], " ", "example", " ", "bins"}], 
         "=", 
         RowBox[{
         "100", " ", "divides", " ", "1", " ", "unit", " ", "of", " ", "data",
           " ", "range", " ", "into", " ", "100", " ", "bins"}]}], ",", " ", 
        RowBox[{
        "fitregime", " ", "specifies", " ", "the", " ", "number", " ", "of", 
         " ", "extreme", " ", "bins", " ", "used", " ", "to", " ", "estiamte",
          " ", "qD"}]}], "*)"}], 
      RowBox[{",", 
       RowBox[{"mx", "=", 
        RowBox[{"Max", "[", "field", "]"}]}], ",", 
       RowBox[{
        RowBox[{"{", "lam", "}"}], "=", 
        RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
       RowBox[{"fr", "=", 
        RowBox[{"RotateRight", "[", 
         RowBox[{"field", ",", "\[CapitalDelta]x"}], "]"}]}], ",", 
       RowBox[{"delfield", "=", 
        RowBox[{"Abs", "[", 
         RowBox[{"fr", "-", "field"}], "]"}]}], ",", 
       RowBox[{"mxx", 
        StyleBox["=",
         FontColor->GrayLevel[0]], 
        StyleBox[
         RowBox[{"Max", "[", "delfield", "]"}],
         FontColor->GrayLevel[0]]}], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"sd", "=", 
         RowBox[{"StandardDeviation", "[", "delfield", "]"}]}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"nosd", "=", 
         RowBox[{"mxx", "/", "sd"}]}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{"probgauss", "=", 
         RowBox[{"2.", " ", 
          RowBox[{"Erfc", "[", "nosd", "]"}]}]}],
        FontColor->GrayLevel[0]], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       RowBox[{
        StyleBox["Print",
         FontColor->GrayLevel[0]], 
        StyleBox["[",
         FontColor->GrayLevel[0]], 
        RowBox[{"\!\(\*
StyleBox[\"\\\"\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\" \",
FontColor->GrayLevel[0]]\)the maximum difference = \>\"", ",", "mxx", ",", 
         "\"\<\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)standard deviation =\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"\\\"\",
FontColor->GrayLevel[0]]\)", 
         StyleBox[",",
          FontColor->GrayLevel[0]], "sd", 
         StyleBox[" ",
          FontColor->GrayLevel[0]], 
         StyleBox[",",
          FontColor->GrayLevel[0]], "\!\(\*
StyleBox[\"\\\"\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)ratio = \!\(\*
StyleBox[\"\\\"\",
FontColor->GrayLevel[0]]\)", 
         StyleBox[",",
          FontColor->GrayLevel[0]], "nosd", 
         StyleBox[",",
          FontColor->GrayLevel[0]], "\!\(\*
StyleBox[\"\\\"\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)Gauss probability =\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\\\"\",
FontColor->GrayLevel[0]]\)", 
         StyleBox[",",
          FontColor->GrayLevel[0]], "probgauss"}], 
        StyleBox["]",
         FontColor->GrayLevel[0]]}], 
       StyleBox[",",
        FontColor->GrayLevel[0]], 
       RowBox[{"freq", "=", 
        RowBox[{"Reverse", "[", 
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"Tally", "[", 
            RowBox[{"IntegerPart", "[", 
             RowBox[{"bins", " ", 
              RowBox[{"Take", "[", 
               RowBox[{"delfield", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[CapitalDelta]x", "+", "1"}], ",", "lam"}], 
                 "}"}]}], "]"}]}], "]"}], "]"}], "]"}], ",", "2"}], "]"}]}], 
       ",", 
       RowBox[{"pr", "=", 
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{"Reverse", "[", 
           RowBox[{"Accumulate", "[", 
            RowBox[{"Reverse", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", "freq", "]"}], "\[LeftDoubleBracket]",
               "1", "\[RightDoubleBracket]"}], "]"}], "]"}], "]"}], 
          RowBox[{"lam", "-", "\[CapitalDelta]x"}]], "]"}]}], ",", 
       RowBox[{"value", "=", 
        RowBox[{"Log", "[", 
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Transpose", "[", "freq", "]"}], "\[LeftDoubleBracket]", 
            "2", "\[RightDoubleBracket]"}], ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"{", "len", "}"}], "=", 
        RowBox[{"Dimensions", "[", "value", "]"}]}], ",", 
       RowBox[{"probval", "=", 
        FractionBox[
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
              "value", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
               "-", 
              RowBox[{"Log", "[", "bins", "]"}]}], ",", 
             RowBox[{
              RowBox[{"0.", " ", 
               RowBox[{
               "value", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "+", 
              RowBox[{"pr", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "len"}], "}"}]}], "]"}], 
         RowBox[{"Log", "[", "10.`", "]"}]]}], ",", 
       RowBox[{"grpro", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"probval", ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
             RowBox[{"Hue", "[", "0.99", "]"}]}], "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}], 
          ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)s\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)Pr\>\""}], 
            "}"}]}]}], "]"}]}], ",", 
       RowBox[{"length", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "probval", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"end", "=", 
        RowBox[{"Drop", "[", 
         RowBox[{"probval", ",", 
          RowBox[{"length", "-", "fitregime"}]}], "]"}]}], ",", 
       RowBox[{"ft", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{"end", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ",", 
       RowBox[{"grtheory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"ft", "/.", 
           RowBox[{"x", "\[Rule]", "xx"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"xx", ",", 
            RowBox[{"end", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
            RowBox[{"end", "[", 
             RowBox[{"[", 
              RowBox[{"fitregime", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}]}], ",", 
       RowBox[{"qD", "=", 
        RowBox[{"-", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ftt", "=", 
             RowBox[{"Fit", "[", 
              RowBox[{
               RowBox[{"Drop", "[", 
                RowBox[{"end", ",", "fit"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";", 
            RowBox[{
             RowBox[{"ftt", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"fit", ",", "1", ",", 
             RowBox[{"fitregime", "-", "3"}]}], "}"}]}], "]"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<qD=  \>\"", ",", 
         RowBox[{"qD", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"grqD", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"qD", ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Hue", "[", "0.99", "]"}]}]}], "]"}]}], ",", 
       RowBox[{"(*", 
        RowBox[{
        "this", " ", "plots", " ", "the", " ", "consecutive", " ", "qD", " ", 
         "estimates", " ", "obtained", " ", "by", " ", "using", " ", "the", 
         " ", "extreme", " ", "points", " ", 
         RowBox[{"(", 
          RowBox[{"fitregime", " ", "to", " ", "the", " ", "end"}], ")"}]}], 
        " ", "*)"}], ",", 
       RowBox[{"grall", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grpro", ",", "grtheory", ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}], 
          ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)s\>\"", ",", 
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)Pr\>\""}], 
            "}"}]}]}], "]"}]}]}], "}"}], ";", "grall"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5504089497089*^9, 3.550408990482533*^9}, {
   3.550409023135459*^9, 3.5504090284745827`*^9}, {3.55040924822441*^9, 
   3.550409297053447*^9}, {3.550409360305121*^9, 3.550409419243834*^9}, {
   3.55040947457259*^9, 3.5504095819582777`*^9}, {3.550409647982058*^9, 
   3.550409656071477*^9}, {3.550409730343812*^9, 3.550409730639431*^9}, {
   3.550415951040597*^9, 3.550415951414421*^9}, {3.5504161231575203`*^9, 
   3.550416180646748*^9}, 3.5504162443848467`*^9, {3.5504163216498957`*^9, 
   3.550416386209201*^9}, {3.550421029448083*^9, 3.550421038598301*^9}, {
   3.5504223480364113`*^9, 3.550422392819735*^9}, {3.550422474819789*^9, 
   3.55042259061047*^9}, {3.55042264124571*^9, 3.550422641592662*^9}, {
   3.5504227049167223`*^9, 3.550422729520144*^9}, {3.5504256383884974`*^9, 
   3.550425682497635*^9}, {3.550425719502232*^9, 3.5504257269219103`*^9}, {
   3.550425766228232*^9, 3.550425822370982*^9}, {3.550425859578423*^9, 
   3.55042587373035*^9}, 3.550574599877811*^9, {3.551623946062059*^9, 
   3.5516239985121107`*^9}, {3.551624045885331*^9, 3.551624242135766*^9}, {
   3.552053271134654*^9, 3.552053550186631*^9}, {3.5520577856111097`*^9, 
   3.552057796502099*^9}, {3.552060939385103*^9, 3.552060943790701*^9}, {
   3.552134389613619*^9, 3.552134394674748*^9}, {3.552231810497094*^9, 
   3.552231824148077*^9}, {3.5523931825587683`*^9, 3.5523932121871357`*^9}}],

Cell["\<\
This does the probability distribution for differences seperated by distance \
\[CapitalDelta]x (or if in the time domain, by \[CapitalDelta]t)...  it takes \
all intervals so beware oversampling of extremes\
\>", "Text",
 CellChangeTimes->{{3.550425749681069*^9, 3.550425757024317*^9}, 
   3.552052379591576*^9, {3.552052644096139*^9, 3.552052649400178*^9}, {
   3.552054623744894*^9, 3.552054634401471*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InterpolateTable", "[", 
   RowBox[{"age_", ",", "data_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fraction", "=", "1."}], ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "fraction", " ", "is", " ", "the", " ", "fractional", " ", "change", 
          " ", "of", " ", "number", " ", "of", " ", "data", " ", "points", 
          " ", "desired", " ", "in", " ", "the", " ", "interpolated", " ", 
          "field", " ", "fraction"}], "=", 
         RowBox[{"1", " ", "is", " ", "the", " ", "default"}]}], "*)"}], ",", 
       RowBox[{
        RowBox[{"{", "len", "}"}], "=", 
        RowBox[{"Dimensions", "[", "data", "]"}]}], ",", 
       RowBox[{"delt", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"age", "[", 
            RowBox[{"[", "len", "]"}], "]"}], "-", 
           RowBox[{"age", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"fraction", " ", "len"}], ")"}]}]}], ",", 
       RowBox[{"inter3", "=", 
        RowBox[{"Interpolation", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"age", ",", "data"}], "}"}], "]"}], ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "3"}]}], "]"}]}], ",", 
       RowBox[{"intertab3", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"inter3", "[", "time", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"time", ",", 
            RowBox[{"age", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"age", "[", 
             RowBox[{"[", "len", "]"}], "]"}], ",", "delt"}], "}"}]}], 
         "]"}]}], ",", 
       RowBox[{"inter1", "=", 
        RowBox[{"Interpolation", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{"age", ",", "data"}], "}"}], "]"}], ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ",", 
       RowBox[{"intertab1", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"inter1", "[", "time", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"time", ",", 
            RowBox[{"age", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"age", "[", 
             RowBox[{"[", "len", "]"}], "]"}], ",", "delt"}], "}"}]}], 
         "]"}]}], ",", 
       RowBox[{"error", "=", 
        RowBox[{"StandardDeviation", "[", 
         RowBox[{"intertab1", "-", "intertab3"}], "]"}]}], ",", 
       RowBox[{"grinter1", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"time", ",", 
              RowBox[{"inter1", "[", "time", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"time", ",", 
              RowBox[{"age", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"age", "[", 
               RowBox[{"[", "len", "]"}], "]"}], ",", "delt"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}], 
         "]"}]}], ",", 
       RowBox[{"grdiagnostic", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"2.", " ", 
           RowBox[{
            RowBox[{"Degrade", "[", 
             RowBox[{
              RowBox[{"Abs", "[", 
               RowBox[{"(", 
                RowBox[{"intertab1", "-", "intertab3"}], ")"}], "]"}], ",", 
              "2"}], "]"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Degrade", "[", 
               RowBox[{
                RowBox[{"Flux", "[", "intertab1", "]"}], ",", "2"}], "]"}], 
              "+", 
              RowBox[{"Degrade", "[", 
               RowBox[{
                RowBox[{"Flux", "[", "intertab3", "]"}], ",", "2"}], "]"}]}], 
             ")"}]}]}], ",", 
          RowBox[{"Joined", "\[Rule]", "True"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
       RowBox[{"(*", 
        RowBox[{
        "this", " ", "graph", " ", "shows", " ", "the", " ", "relative", " ", 
         "difference", " ", "of", " ", "the", " ", "first", " ", "and", " ", 
         "thrid", " ", "order", " ", "interpolations"}], "*)"}], ",", 
       RowBox[{"relative", "=", 
        RowBox[{"2.", " ", 
         RowBox[{"error", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"StandardDeviation", "[", 
             RowBox[{"Flux", "[", "intertab1", "]"}], "]"}], "+", 
            RowBox[{"StandardDeviation", "[", 
             RowBox[{"Flux", "[", "intertab3", "]"}], "]"}]}], ")"}]}]}]}], 
       ",", 
       RowBox[{"(*", 
        RowBox[{
        "this", " ", "is", " ", "the", " ", "relative", " ", "RMS", " ", 
         "error"}], "*)"}], ",", 
       RowBox[{"Relativemaxerror", "=", 
        RowBox[{"2", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Max", "[", 
             RowBox[{"Flux", "[", "intertab1", "]"}], "]"}], "-", 
            RowBox[{"Max", "[", 
             RowBox[{"Flux", "[", "intertab3", "]"}], "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Max", "[", 
             RowBox[{"Flux", "[", "intertab1", "]"}], "]"}], "+", 
            RowBox[{"Max", "[", 
             RowBox[{"Flux", "[", "intertab3", "]"}], "]"}]}], ")"}]}]}]}], 
       ",", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<The relative RMS error between the first and third order \
interpolation is =  \>\"", ",", "relative", ",", "\"\<   Max relative=  \>\"",
          ",", "Relativemaxerror"}], "]"}], ","}], 
      RowBox[{"(*", 
       RowBox[{
       "this", " ", "is", " ", "the", " ", "relative", " ", "difference", " ",
         "of", " ", "the", " ", "maxima"}], "*)"}], "}"}], ";", 
     RowBox[{"{", 
      RowBox[{"intertab1", ",", "grinter1", ",", "grdiagnostic"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5503974089537086`*^9, 3.550397880138627*^9}, {
   3.5503979779477158`*^9, 3.5503979786154623`*^9}, {3.550398018995236*^9, 
   3.550398019318677*^9}, {3.5503980864283648`*^9, 3.55039809060299*^9}, {
   3.550398135153556*^9, 3.550398148960003*^9}, 3.550398185987249*^9, {
   3.550398222098342*^9, 3.55039825512225*^9}, {3.550398309946636*^9, 
   3.550398310235396*^9}, {3.550398425823745*^9, 3.550398491229134*^9}, {
   3.550398977128504*^9, 3.550399055288073*^9}, {3.550399092005129*^9, 
   3.550399168876644*^9}, {3.550399213352515*^9, 3.550399486609707*^9}, {
   3.550399522263907*^9, 3.5503995227431498`*^9}, {3.5504228466775417`*^9, 
   3.550422847318664*^9}, 3.550574747918042*^9, {3.551458402647784*^9, 
   3.551458402918095*^9}, {3.551564086879323*^9, 3.551564088142497*^9}, {
   3.551615273288158*^9, 3.551615274173299*^9}, {3.551616359148016*^9, 
   3.5516163597555227`*^9}, {3.551625119500029*^9, 3.5516251197750483`*^9}, {
   3.551626215724495*^9, 3.551626218627253*^9}, {3.5516262490700693`*^9, 
   3.551626264575749*^9}, {3.552060335214912*^9, 3.552060340975288*^9}, {
   3.552396796593367*^9, 3.552396801643629*^9}}],

Cell["\<\
The above takes data as a function of age and uniformly interpolates.  It \
compares first and third order interpolation, the differences shouldn' t be \
too big.  The time resolutioin is determined by dividing the duration of the \
data by the number of points times a factor \[OpenCurlyDoubleQuote]fraction\
\[CloseCurlyDoubleQuote], default=1.\
\>", "Text",
 CellChangeTimes->{{3.550408733474514*^9, 3.550408825893668*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Linemodcol", "[", 
   RowBox[{"field_", ",", "thresh_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"scale", "=", "1."}], ",", 
       RowBox[{"count", "=", "0."}], ",", 
       RowBox[{"field2", "=", 
        RowBox[{"Flux", "[", "field", "]"}]}], ",", 
       RowBox[{"mxx", "=", 
        RowBox[{"Max", "[", "field2", "]"}]}], ",", 
       RowBox[{"length", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "field", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"grline", "=", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"col", "=", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"field2", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "+", "1"}], "]"}], "]"}], ")"}], "/", 
               "mxx"}]}], ";", 
             RowBox[{"count", "=", 
              RowBox[{"count", "+", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"col", ">", "thresh"}], ",", "1", ",", "0"}], 
                "]"}]}]}], ";", 
             RowBox[{"color", "=", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"col", ">", "thresh"}], ",", 
                RowBox[{"0.4", "+", 
                 RowBox[{"0.6", " ", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"col", "-", "thresh"}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"1.01", "-", "thresh"}], ")"}]}]}]}], ",", 
                "0.1"}], "]"}]}], ";", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.005", "]"}], ",", 
               RowBox[{"GrayLevel", "[", "0.", "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"i", "/", "scale"}], ",", 
                  RowBox[{"field", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
               RowBox[{"Hue", "[", "color", "]"}], ",", 
               RowBox[{"Thickness", "[", 
                RowBox[{"color", " ", "0.008"}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"i", "/", "scale"}], ",", 
                    RowBox[{"field", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "+", "1"}], ")"}], "/", "scale"}], ",", 
                    RowBox[{"field", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}]}], "}"}], 
                "]"}]}], "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"length", "-", "1"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", 
           RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\< the number of abrupt changes is  \>\"", ",", "count", ",", " ", 
         "\"\<  the fraction is  \>\"", ",", 
         RowBox[{"count", "/", "length"}]}], "]"}]}], "}"}], ";", 
     RowBox[{"Show", "[", "grline", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.551613684371673*^9, 3.551613688866899*^9}, 
   3.551613806185585*^9}],

Cell["\<\
This colours the graph of \"field\" such that segments go froom blue to red \
(and become thicker) for any change in value (at the finest resolution) > \
\"thresh\".  thresh is measured in the fraction of the change with respect to \
the maximum change.  thresh = 0.5 is a typical value\
\>", "Text",
 CellChangeTimes->{{3.551628145835623*^9, 3.5516282514946623`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outerscale", "[", 
   RowBox[{
   "lower_", ",", "upper_", ",", "inter_", ",", "coord_", ",", "moms_", ",", 
    "qmaxmax_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"jlinethick", "=", "0.002"}], ",", 
       RowBox[{"jhuedata", "=", "0.6"}], ",", 
       RowBox[{"graphext", "=", 
        RowBox[{"Max", "[", "coord", "]"}]}], ",", 
       RowBox[{"qmin", "=", "10"}], ",", "Null", ",", 
       RowBox[{"qmax", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "moms", "]"}], "\[LeftDoubleBracket]", 
         "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"Qtab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"0.1", " ", 
            RowBox[{"(", 
             RowBox[{"i", "-", "1"}], ")"}]}], "+", 
           FractionBox["1", 
            SuperscriptBox["10.", "5"]]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"data3", "[", "i", "]"}], "=", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"coord", ",", 
               RowBox[{
               "moms", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "}"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"data2", "[", "i", "]"}], "=", 
            RowBox[{"Select", "[", 
             RowBox[{
              RowBox[{"data3", "[", "i", "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                 "#1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "<", "upper"}], "&&", 
                RowBox[{
                 RowBox[{
                 "#1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  ">", "lower"}]}], "&"}]}], "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"tab", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"jinter", ",", 
            RowBox[{"Mean", "[", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"reslinpairsfiltererr", "[", 
                RowBox[{"jinter", ",", 
                 RowBox[{"data2", "[", "i", "]"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "qmin", ",", "qmaxmax"}], "}"}]}], "]"}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"jinter", ",", 
            RowBox[{"-", "5"}], ",", "inter", ",", 
            FractionBox["1", "10"]}], "}"}]}], "]"}]}], ",", 
       RowBox[{"maxind", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"Position", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", "tab", "]"}], "\[LeftDoubleBracket]", 
             "2", "\[RightDoubleBracket]"}], ",", 
            RowBox[{"Min", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", "tab", "]"}], "\[LeftDoubleBracket]", 
              "2", "\[RightDoubleBracket]"}], "]"}]}], "]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"jintermax", ",", "errr"}], "}"}], "=", 
        RowBox[{
        "tab", "\[LeftDoubleBracket]", "maxind", "\[RightDoubleBracket]"}]}], 
       ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<the minimum error outerscale is = \>\"", ",", 
         RowBox[{"N", "[", "jintermax", "]"}], ",", "\"\<the error is = \>\"",
          ",", "errr"}], "]"}], ",", 
       RowBox[{"outersc", "=", "jintermax"}], ",", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"grdata", "=", 
            RowBox[{"ListPlot", "[", 
             RowBox[{
              RowBox[{"data3", "[", "i", "]"}], ",", 
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)\[Lambda]\>\
\"", ",", "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)M\>\""}], "}"}]}],
               ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0.", ",", "0."}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
                 RowBox[{"Hue", "[", "jhue", "]"}]}], "}"}]}], ",", 
              RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
           ",", 
           RowBox[{"grdataline", "=", 
            RowBox[{"ListPlot", "[", 
             RowBox[{
              RowBox[{"data3", "[", "i", "]"}], ",", 
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)\[Lambda]\>\
\"", ",", "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)M\>\""}], "}"}]}],
               ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0.", ",", "0."}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"Joined", "\[Rule]", "True"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Thickness", "[", "jlinethick", "]"}], ",", 
                 RowBox[{"Hue", "[", "jhuedata", "]"}]}], "}"}]}], ",", 
              RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
           ",", 
           RowBox[{"reslinpairsfilter", "[", 
            RowBox[{"lower", ",", "upper", ",", "jintermax", ",", 
             RowBox[{"data2", "[", "i", "]"}]}], "]"}], ",", 
           RowBox[{
            RowBox[{"Kqopt", "[", "i", "]"}], "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "Qtab", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              ",", "Kqemp"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"grdattheorynew", "[", "i", "]"}], "=", 
            RowBox[{"Show", "[", 
             RowBox[{"grdata", ",", "grdataline", ",", "grtheory", ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0.", ",", "0."}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}]}],
           "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
       RowBox[{"Kqoptall", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Kqopt", "[", "i", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"ax", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"xx", ",", "0", ",", "graphext"}], "}"}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ",", 
       RowBox[{"ft", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{
          RowBox[{"Take", "[", 
           RowBox[{"Kqoptall", ",", 
            RowBox[{"{", 
             RowBox[{"9", ",", "13"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "xx", ",", 
            SuperscriptBox["xx", "2"]}], "}"}], ",", "xx"}], "]"}]}], ",", 
       RowBox[{"C11", "=", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "+", 
         RowBox[{
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
       RowBox[{"alpha", "=", 
        FractionBox[
         RowBox[{"2.", " ", 
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
         RowBox[{
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{
            RowBox[{
            "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}]]}], 
       ",", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<C1=  \>\"", ",", "C11", ",", "\"\<alpha=  \>\"", ",", "alpha"}], 
        "]"}], ",", 
       RowBox[{"FitUniKq", "[", "Kqoptall", "]"}], ",", 
       RowBox[{"grout", "=", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"grdattheorynew", "[", "i", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "qmaxmax"}], "}"}]}], "]"}], ",", 
          "ax", ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0.", ",", "0."}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"outersc", ",", 
               RowBox[{
                RowBox[{"Max", "[", "coord", "]"}], "+", "0.05"}]}], "}"}], 
             ",", "All"}], "}"}]}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}], 
          ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], 
         "]"}]}]}], "}"}], ";", 
     RowBox[{"{", 
      RowBox[{"grout", ",", "grKqtheorydata"}], "}"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"reslinpairsfilter", "[", 
   RowBox[{"lower_", ",", "upper_", ",", "inter_", ",", "vec_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "x", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"jhue", "=", "0.9"}], ",", 
       RowBox[{"ddim", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "vec", "]"}], "\[LeftDoubleBracket]", "1",
          "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"shiftall", "=", 
        RowBox[{"vec", "-", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"inter", ",", "0."}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "ddim"}], "}"}]}], "]"}]}]}], ",", 
       RowBox[{"lowfit", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"lower", ",", "inter"}], "]"}]}], ",", 
       RowBox[{"shift", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"shiftall", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
            "#1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "<", 
            RowBox[{"upper", "-", "inter"}]}], "&"}]}], "]"}]}], ",", 
       RowBox[{"ddimshift", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "shift", "]"}], "\[LeftDoubleBracket]", 
         "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"afit", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{"shift", ",", 
          RowBox[{"{", "x", "}"}], ",", "x"}], "]"}]}], ",", 
       RowBox[{"Kqemp", "=", 
        RowBox[{
        "afit", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"rres", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"vec", "\[LeftDoubleBracket]", 
               RowBox[{"x1", ",", "1"}], "\[RightDoubleBracket]"}], ">", 
              "lowfit"}], "&&", 
             RowBox[{
              RowBox[{"vec", "\[LeftDoubleBracket]", 
               RowBox[{"x1", ",", "1"}], "\[RightDoubleBracket]"}], "<", 
              "upper"}]}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"afit", "/.", "\[InvisibleSpace]", 
               RowBox[{"x", "\[Rule]", 
                RowBox[{"shift", "\[LeftDoubleBracket]", 
                 RowBox[{"x1", ",", "1"}], "\[RightDoubleBracket]"}]}]}], 
              ")"}], "-", 
             RowBox[{"shift", "\[LeftDoubleBracket]", 
              RowBox[{"x1", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
            "0."}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", "1", ",", "ddimshift"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"grtheory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"afit", "/.", "\[InvisibleSpace]", 
           RowBox[{"x", "\[Rule]", 
            RowBox[{"x1", "-", "inter"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", "inter", ",", "graphext"}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Thickness", "[", "0.002", "]"}], "}"}]}], ",", 
          RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}]}], 
      "}"}], ";", 
     RowBox[{"Mean", "[", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Abs", "[", "rres", "]"}], ",", 
        RowBox[{
         RowBox[{"#1", ">", "0"}], "&"}]}], "]"}], "]"}]}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FitUniKq", "[", "Kqdata_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Kqin", "=", 
        RowBox[{"Interpolation", "[", "Kqdata", "]"}]}], ",", 
       RowBox[{"C1der", "=", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{
           SubscriptBox["\[PartialD]", "q"], 
           RowBox[{"Kqin", "[", "q", "]"}]}], "]"}], "/.", 
         "\[InvisibleSpace]", 
         RowBox[{"q", "\[Rule]", "1"}]}]}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<the derivative estimate for C1 is \>\"", ",", "C1der"}], 
        "]"}], ",", 
       RowBox[{"ft", "=", 
        RowBox[{"FindFit", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Kqdata", "\[LeftDoubleBracket]", 
              RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"Kqdata", "\[LeftDoubleBracket]", 
              RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox[
             RowBox[{"C1var", " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["x", "\[Alpha]var"], "-", "x"}], ")"}]}], 
             RowBox[{"\[Alpha]var", "-", "1"}]], ",", 
            RowBox[{"{", 
             RowBox[{"2.01", ">", "\[Alpha]var", ">", "1.1"}], "}"}]}], "}"}],
           ",", 
          RowBox[{"{", 
           RowBox[{"\[Alpha]var", ",", "C1var"}], "}"}], ",", "x"}], "]"}]}], 
       ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[Alpha]out", ",", "C1out"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], "}"}]}], 
       ",", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<nonlinear fit for alpha  \>\"", ",", "\[Alpha]out", ",", 
         "\"\<  nonlinear fit for C1=  \>\"", ",", "C1out"}], "]"}], ",", 
       RowBox[{"grKqtheory", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          FractionBox[
           RowBox[{"C1out", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["q", "\[Alpha]out"], "-", "q"}], ")"}]}], 
           RowBox[{"\[Alpha]out", "-", "1"}]], ",", 
          RowBox[{"{", 
           RowBox[{"q", ",", "0.001", ",", "2"}], "}"}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"24", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}], 
          ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<q\>\"", ",", "\"\<K(q)\>\""}], "}"}]}]}], "]"}]}], 
       ",", 
       RowBox[{"grKqdata", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{"Kqoptall", ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Hue", "[", "0.99", "]"}], ",", 
             RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
       ",", 
       RowBox[{"grKqtheorydata", "=", 
        RowBox[{"Show", "[", 
         RowBox[{"grKqtheory", ",", "grKqdata"}], "]"}]}]}], "}"}], ";", 
     "grKqtheorydata"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"reslinpairsfiltererr", "[", 
   RowBox[{"inter_", ",", "vec_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "x", "}"}], ",", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"jhue", "=", "0.9"}], ",", 
       RowBox[{"ddim", "=", 
        RowBox[{
         RowBox[{"Dimensions", "[", "vec", "]"}], "\[LeftDoubleBracket]", "1",
          "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"shift", "=", 
        RowBox[{"vec", "-", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"inter", ",", "0."}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "ddim"}], "}"}]}], "]"}]}]}], ",", 
       RowBox[{"afit", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{"shift", ",", 
          RowBox[{"{", "x", "}"}], ",", "x"}], "]"}]}], ",", 
       RowBox[{"Kqemp", "=", 
        RowBox[{
        "afit", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"rres", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"afit", "/.", "\[InvisibleSpace]", 
             RowBox[{"x", "\[Rule]", 
              RowBox[{"shift", "\[LeftDoubleBracket]", 
               RowBox[{"x1", ",", "1"}], "\[RightDoubleBracket]"}]}]}], ")"}],
            "-", 
           RowBox[{"shift", "\[LeftDoubleBracket]", 
            RowBox[{"x1", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", "1", ",", "ddim"}], "}"}]}], "]"}]}]}], "}"}], 
     ";", 
     RowBox[{"Mean", "[", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Abs", "[", "rres", "]"}], ",", 
        RowBox[{
         RowBox[{"#1", ">", "0"}], "&"}]}], "]"}], "]"}]}]}], 
   "]"}]}]], "Input"]
},
WindowSize->{1024, 720},
WindowMargins->{{258, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 24529, 611, 721, "Input"],
Cell[25089, 633, 12755, 321, 465, "Input"],
Cell[37847, 956, 19451, 496, 547, "Input"],
Cell[57301, 1454, 1551, 45, 58, "Input"],
Cell[58855, 1501, 186, 2, 26, "Text"],
Cell[59044, 1505, 52, 1, 27, "Input"],
Cell[59099, 1508, 54, 1, 27, "Input"],
Cell[59156, 1511, 64848, 1434, 2715, "Input"],
Cell[124007, 2947, 1029, 24, 27, "Input"],
Cell[125039, 2973, 169, 4, 26, "Text"],
Cell[125211, 2979, 1107, 34, 43, "Input"],
Cell[126321, 3015, 200, 4, 26, "Text"],
Cell[126524, 3021, 1475, 43, 73, "Input"],
Cell[128002, 3066, 245, 5, 26, "Text"],
Cell[128250, 3073, 824, 26, 27, "Input"],
Cell[129077, 3101, 220, 4, 26, "Text"],
Cell[129300, 3107, 254, 7, 27, "Input"],
Cell[129557, 3116, 138, 3, 26, "Text"],
Cell[129698, 3121, 13989, 349, 355, "Input"],
Cell[143690, 3472, 1047, 16, 71, "Text"],
Cell[144740, 3490, 2770, 72, 88, "Input"],
Cell[147513, 3564, 534, 9, 41, "Text"],
Cell[148050, 3575, 11547, 292, 349, "Input"],
Cell[159600, 3869, 419, 7, 26, "Text"],
Cell[160022, 3878, 7513, 178, 283, "Input"],
Cell[167538, 4058, 436, 7, 41, "Text"],
Cell[167977, 4067, 3727, 93, 118, "Input"],
Cell[171707, 4162, 378, 6, 41, "Text"],
Cell[172088, 4170, 10376, 257, 404, "Input"],
Cell[182467, 4429, 3509, 90, 118, "Input"],
Cell[185979, 4521, 3672, 97, 206, "Input"],
Cell[189654, 4620, 1848, 51, 58, "Input"]
}
]
*)

(* End of internal cache information *)
